# 1_gb_api

1GbApi - JavaScript client for 1_gb_api
 API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.0.0
- Package version: 2.0.0
- Build date: 2016-11-03T11:50:44.508+04:00
- Build package: class io.swagger.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install 1_gb_api --save
```

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var 1GbApi = require('1_gb_api');

var api = new 1GbApi.DefaultApi()

var token_ = "token__example"; // {String} Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.balanceGet(token_, callback);

```

## Documentation for API Endpoints

All URIs are relative to *https://www.1gb.ru/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*1GbApi.DefaultApi* | [**balanceGet**](docs/DefaultApi.md#balanceGet) | **GET** /balance | Аккаунт: баланс
*1GbApi.DefaultApi* | [**balanceLicGet**](docs/DefaultApi.md#balanceLicGet) | **GET** /balance.lic | Аккаунт: баланс аккаунта лицензий
*1GbApi.DefaultApi* | [**billingDebtGet**](docs/DefaultApi.md#billingDebtGet) | **GET** /billing/debt | Информация по дебету аккаунта
*1GbApi.DefaultApi* | [**billingInfoGet**](docs/DefaultApi.md#billingInfoGet) | **GET** /billing/info | Информация об аккаунте
*1GbApi.DefaultApi* | [**billingLimitsGet**](docs/DefaultApi.md#billingLimitsGet) | **GET** /billing/limits | Получить ограничения аккаунта
*1GbApi.DefaultApi* | [**dnsProlongListGet**](docs/DefaultApi.md#dnsProlongListGet) | **GET** /dns/prolong/list | Информация по продлению доменов
*1GbApi.DefaultApi* | [**emailAddGet**](docs/DefaultApi.md#emailAddGet) | **GET** /email/add | Создание почтового ящика
*1GbApi.DefaultApi* | [**emailAliasDeleteGet**](docs/DefaultApi.md#emailAliasDeleteGet) | **GET** /email/alias/delete | Удаление псевдонимов почтовых ящиков
*1GbApi.DefaultApi* | [**emailAliasListGet**](docs/DefaultApi.md#emailAliasListGet) | **GET** /email/alias/list | Получить список псевдонимов почтовых ящиков
*1GbApi.DefaultApi* | [**emailDeleteGet**](docs/DefaultApi.md#emailDeleteGet) | **GET** /email/delete | Удаление почтового ящика
*1GbApi.DefaultApi* | [**emailListGet**](docs/DefaultApi.md#emailListGet) | **GET** /email/list | Получить список почтовых ящиков
*1GbApi.DefaultApi* | [**updatesLastGet**](docs/DefaultApi.md#updatesLastGet) | **GET** /updates/last | Идентификатор последнего уведомления в аудите
*1GbApi.DefaultApi* | [**updatesListGet**](docs/DefaultApi.md#updatesListGet) | **GET** /updates/list | Список записей аудита
*1GbApi.DefaultApi* | [**websiteDeleteGet**](docs/DefaultApi.md#websiteDeleteGet) | **GET** /website/delete | Удаление сайта
*1GbApi.DefaultApi* | [**websiteListGet**](docs/DefaultApi.md#websiteListGet) | **GET** /website/list | Список сайтов аккаунта
*1GbApi.AuthAPIApi* | [**authLoginPost**](docs/AuthAPIApi.md#authLoginPost) | **POST** /auth/login | Получить ключ доступа
*1GbApi.AuthAPIApi* | [**authStartGet**](docs/AuthAPIApi.md#authStartGet) | **GET** /auth/start | Получить соль
*1GbApi.DNSApi* | [**dnsAddGet**](docs/DNSApi.md#dnsAddGet) | **GET** /dns/add | Создание записи домена
*1GbApi.DNSApi* | [**dnsBindGet**](docs/DNSApi.md#dnsBindGet) | **GET** /dns/bind | Привязка одного домена к другому
*1GbApi.DNSApi* | [**dnsListGet**](docs/DNSApi.md#dnsListGet) | **GET** /dns/list | Получить список доменных имён
*1GbApi.DNSApi* | [**dnsProlongListGet**](docs/DNSApi.md#dnsProlongListGet) | **GET** /dns/prolong/list | Информация по продлению доменов
*1GbApi.DNSApi* | [**dnsRawGet**](docs/DNSApi.md#dnsRawGet) | **GET** /dns/raw | Редактирование \&quot;сырой\&quot; зоны
*1GbApi.DNSApi* | [**dnsRawManagedmxGet**](docs/DNSApi.md#dnsRawManagedmxGet) | **GET** /dns/raw/managedmx | Редактировать DNS-зону
*1GbApi.HostingftpAPIApi* | [**ftpListGet**](docs/HostingftpAPIApi.md#ftpListGet) | **GET** /ftp/list | Получить список зарегистрированных аккаунтов FTP
*1GbApi.HostingiisAPIApi* | [**iisListGet**](docs/HostingiisAPIApi.md#iisListGet) | **GET** /iis/list | Список сайтов IIS
*1GbApi.MicrosoftSQLServerApi* | [**mssqlListGet**](docs/MicrosoftSQLServerApi.md#mssqlListGet) | **GET** /mssql/list | Получить список аккаунтов в MSSQL
*1GbApi.MySQLPostgresApi* | [**databaseListGet**](docs/MySQLPostgresApi.md#databaseListGet) | **GET** /database/list | Список аккаунтов в базах данных UNIX
*1GbApi.VDSHyperVOpenVZApi* | [**vdsCreateGet**](docs/VDSHyperVOpenVZApi.md#vdsCreateGet) | **GET** /vds/create | Изменение параметров VDS
*1GbApi.VDSHyperVOpenVZApi* | [**vdsDeleteGet**](docs/VDSHyperVOpenVZApi.md#vdsDeleteGet) | **GET** /vds/delete | Удаление VDS
*1GbApi.VDSHyperVOpenVZApi* | [**vdsIpAddGet**](docs/VDSHyperVOpenVZApi.md#vdsIpAddGet) | **GET** /vds/ip/add | Добавление IP на VDS
*1GbApi.VDSHyperVOpenVZApi* | [**vdsIpDeleteGet**](docs/VDSHyperVOpenVZApi.md#vdsIpDeleteGet) | **GET** /vds/ip/delete | Удаление IP с VDS
*1GbApi.VDSHyperVOpenVZApi* | [**vdsIpListGet**](docs/VDSHyperVOpenVZApi.md#vdsIpListGet) | **GET** /vds/ip/list | Список IP-адресов виртуальных серверов
*1GbApi.VDSHyperVOpenVZApi* | [**vdsListGet**](docs/VDSHyperVOpenVZApi.md#vdsListGet) | **GET** /vds/list | Список виртуальных серверов
*1GbApi.VDSHyperVOpenVZApi* | [**vdsRebootGet**](docs/VDSHyperVOpenVZApi.md#vdsRebootGet) | **GET** /vds/reboot | Перезагрузка VDS
*1GbApi.VDSHyperVOpenVZApi* | [**vdsTemplatesListGet**](docs/VDSHyperVOpenVZApi.md#vdsTemplatesListGet) | **GET** /vds/templates-list | Список шаблонов виртуальных серверов
*1GbApi.VDSHyperVOpenVZApi* | [**vdsUpdateGet**](docs/VDSHyperVOpenVZApi.md#vdsUpdateGet) | **GET** /vds/update | Создание VDS


## Documentation for Models

 - [1GbApi.InlineResponse200](docs/InlineResponse200.md)
 - [1GbApi.InlineResponse2001](docs/InlineResponse2001.md)
 - [1GbApi.InlineResponse20010](docs/InlineResponse20010.md)
 - [1GbApi.InlineResponse20011](docs/InlineResponse20011.md)
 - [1GbApi.InlineResponse20012](docs/InlineResponse20012.md)
 - [1GbApi.InlineResponse20013](docs/InlineResponse20013.md)
 - [1GbApi.InlineResponse20014](docs/InlineResponse20014.md)
 - [1GbApi.InlineResponse2002](docs/InlineResponse2002.md)
 - [1GbApi.InlineResponse2003](docs/InlineResponse2003.md)
 - [1GbApi.InlineResponse2004](docs/InlineResponse2004.md)
 - [1GbApi.InlineResponse2005](docs/InlineResponse2005.md)
 - [1GbApi.InlineResponse2006](docs/InlineResponse2006.md)
 - [1GbApi.InlineResponse2007](docs/InlineResponse2007.md)
 - [1GbApi.InlineResponse2008](docs/InlineResponse2008.md)
 - [1GbApi.InlineResponse2009](docs/InlineResponse2009.md)
 - [1GbApi._](docs/_.md)


## Documentation for Authorization

 All endpoints do not require authorization.

