# 1GbApi.AuthAPIApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**authLoginPost**](AuthAPIApi.md#authLoginPost) | **POST** /auth/login | Получить ключ доступа
[**authStartGet**](AuthAPIApi.md#authStartGet) | **GET** /auth/start | Получить соль


<a name="authLoginPost"></a>
# **authLoginPost**
> &#39;String&#39; authLoginPost(login, salt, response)

Получить ключ доступа

Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API  (параметр &#39;token&#39;). Для вычисления значения параметра &#39;response&#39; необходимо получить представленную в hex MD5-сумму от  объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:  hex(md5(password&amp;nbsp;+&amp;nbsp;salt&amp;nbsp;+&amp;nbsp;&#39;\\n&#39;))

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.AuthAPIApi();

var login = "login_example"; // String | Имя пользователя

var salt = "salt_example"; // String | Соль (см. /auth/start)

var response = "response_example"; // String | Вычисленный хэш


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.authLoginPost(login, salt, response, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **login** | **String**| Имя пользователя | 
 **salt** | **String**| Соль (см. /auth/start) | 
 **response** | **String**| Вычисленный хэш | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="authStartGet"></a>
# **authStartGet**
> &#39;String&#39; authStartGet(login)

Получить соль

Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется  во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров.

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.AuthAPIApi();

var login = "login_example"; // String | Имя пользователя


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.authStartGet(login, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **login** | **String**| Имя пользователя | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

