# 1GbApi.DNSApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**dnsAddGet**](DNSApi.md#dnsAddGet) | **GET** /dns/add | Создание записи домена
[**dnsBindGet**](DNSApi.md#dnsBindGet) | **GET** /dns/bind | Привязка одного домена к другому
[**dnsListGet**](DNSApi.md#dnsListGet) | **GET** /dns/list | Получить список доменных имён
[**dnsProlongListGet**](DNSApi.md#dnsProlongListGet) | **GET** /dns/prolong/list | Информация по продлению доменов
[**dnsRawGet**](DNSApi.md#dnsRawGet) | **GET** /dns/raw | Редактирование \&quot;сырой\&quot; зоны
[**dnsRawManagedmxGet**](DNSApi.md#dnsRawManagedmxGet) | **GET** /dns/raw/managedmx | Редактировать DNS-зону


<a name="dnsAddGet"></a>
# **dnsAddGet**
> &#39;String&#39; dnsAddGet(token_, addDnsZone, opts)

Создание записи домена

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DNSApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var addDnsZone = "addDnsZone_example"; // String | зона, которую необходимо создать

var opts = { 
  'addDnsRecord': "addDnsRecord_example", // String | 
  'iisSiteForDns': "iisSiteForDns_example", // String | ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку
  'bindOnly': true // Boolean | 
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.dnsAddGet(token_, addDnsZone, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **addDnsZone** | **String**| зона, которую необходимо создать | 
 **addDnsRecord** | **String**|  | [optional] 
 **iisSiteForDns** | **String**| ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку | [optional] 
 **bindOnly** | **Boolean**|  | [optional] 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsBindGet"></a>
# **dnsBindGet**
> &#39;String&#39; dnsBindGet(token_, key_, opts)

Привязка одного домена к другому

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DNSApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = 56; // Integer | ID домена из списка /dns/list

var opts = { 
  'bindTo': "bindTo_example" // String | домен, к которому необходимо сделать привязку
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.dnsBindGet(token_, key_, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **Integer**| ID домена из списка /dns/list | 
 **bindTo** | **String**| домен, к которому необходимо сделать привязку | [optional] 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsListGet"></a>
# **dnsListGet**
> [InlineResponse2003] dnsListGet(token_)

Получить список доменных имён

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DNSApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.dnsListGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

[**[InlineResponse2003]**](InlineResponse2003.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsProlongListGet"></a>
# **dnsProlongListGet**
> [InlineResponse2004] dnsProlongListGet(token_)

Информация по продлению доменов

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DNSApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.dnsProlongListGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

[**[InlineResponse2004]**](InlineResponse2004.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsRawGet"></a>
# **dnsRawGet**
> &#39;String&#39; dnsRawGet(token_, key_, sDel, sAdd, dnsType, dnsName, dnsValue)

Редактирование \&quot;сырой\&quot; зоны

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DNSApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = 56; // Integer | ID домена из /dns/list

var sDel = 56; // Integer | Значение '1' сообщает, что запись необходимо удалить

var sAdd = 56; // Integer | Значение '1' сообщает, что запись необходимо создать

var dnsType = "dnsType_example"; // String | Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV

var dnsName = "dnsName_example"; // String | Имя записи, либо '@' для корневой

var dnsValue = "dnsValue_example"; // String | Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение)


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.dnsRawGet(token_, key_, sDel, sAdd, dnsType, dnsName, dnsValue, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **Integer**| ID домена из /dns/list | 
 **sDel** | **Integer**| Значение &#39;1&#39; сообщает, что запись необходимо удалить | 
 **sAdd** | **Integer**| Значение &#39;1&#39; сообщает, что запись необходимо создать | 
 **dnsType** | **String**| Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV | 
 **dnsName** | **String**| Имя записи, либо &#39;@&#39; для корневой | 
 **dnsValue** | **String**| Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsRawManagedmxGet"></a>
# **dnsRawManagedmxGet**
> &#39;String&#39; dnsRawManagedmxGet(token_, key_, managedMx, updManagedMx)

Редактировать DNS-зону

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DNSApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = 56; // Integer | ID домена из /dns/list

var managedMx = 56; // Integer | Значение '1', если необходимо включить поддержку на MX-серверах хостинга и '0', если выключить

var updManagedMx = 56; // Integer | Значение '1' подтверждает операцию


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.dnsRawManagedmxGet(token_, key_, managedMx, updManagedMx, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **Integer**| ID домена из /dns/list | 
 **managedMx** | **Integer**| Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить | 
 **updManagedMx** | **Integer**| Значение &#39;1&#39; подтверждает операцию | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

