# 1GbApi.DefaultApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**balanceGet**](DefaultApi.md#balanceGet) | **GET** /balance | Аккаунт: баланс
[**balanceLicGet**](DefaultApi.md#balanceLicGet) | **GET** /balance.lic | Аккаунт: баланс аккаунта лицензий
[**billingDebtGet**](DefaultApi.md#billingDebtGet) | **GET** /billing/debt | Информация по дебету аккаунта
[**billingInfoGet**](DefaultApi.md#billingInfoGet) | **GET** /billing/info | Информация об аккаунте
[**billingLimitsGet**](DefaultApi.md#billingLimitsGet) | **GET** /billing/limits | Получить ограничения аккаунта
[**dnsProlongListGet**](DefaultApi.md#dnsProlongListGet) | **GET** /dns/prolong/list | Информация по продлению доменов
[**emailAddGet**](DefaultApi.md#emailAddGet) | **GET** /email/add | Создание почтового ящика
[**emailAliasDeleteGet**](DefaultApi.md#emailAliasDeleteGet) | **GET** /email/alias/delete | Удаление псевдонимов почтовых ящиков
[**emailAliasListGet**](DefaultApi.md#emailAliasListGet) | **GET** /email/alias/list | Получить список псевдонимов почтовых ящиков
[**emailDeleteGet**](DefaultApi.md#emailDeleteGet) | **GET** /email/delete | Удаление почтового ящика
[**emailListGet**](DefaultApi.md#emailListGet) | **GET** /email/list | Получить список почтовых ящиков
[**updatesLastGet**](DefaultApi.md#updatesLastGet) | **GET** /updates/last | Идентификатор последнего уведомления в аудите
[**updatesListGet**](DefaultApi.md#updatesListGet) | **GET** /updates/list | Список записей аудита
[**websiteDeleteGet**](DefaultApi.md#websiteDeleteGet) | **GET** /website/delete | Удаление сайта
[**websiteListGet**](DefaultApi.md#websiteListGet) | **GET** /website/list | Список сайтов аккаунта


<a name="balanceGet"></a>
# **balanceGet**
> &#39;Number&#39; balanceGet(token_)

Аккаунт: баланс

Возвращает текущий баланс аккаунта

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.balanceGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

**&#39;Number&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="balanceLicGet"></a>
# **balanceLicGet**
> &#39;Number&#39; balanceLicGet(token_)

Аккаунт: баланс аккаунта лицензий

Возвращает текущий баланс аккаунта лицензий

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.balanceLicGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

**&#39;Number&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="billingDebtGet"></a>
# **billingDebtGet**
> [InlineResponse200] billingDebtGet(token_)

Информация по дебету аккаунта

Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.billingDebtGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

[**[InlineResponse200]**](InlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="billingInfoGet"></a>
# **billingInfoGet**
> [InlineResponse2001] billingInfoGet(token_)

Информация об аккаунте

Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.billingInfoGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

[**[InlineResponse2001]**](InlineResponse2001.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="billingLimitsGet"></a>
# **billingLimitsGet**
> _ billingLimitsGet(token_)

Получить ограничения аккаунта

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.billingLimitsGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

[**_**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsProlongListGet"></a>
# **dnsProlongListGet**
> [InlineResponse2004] dnsProlongListGet(token_)

Информация по продлению доменов

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.dnsProlongListGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

[**[InlineResponse2004]**](InlineResponse2004.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="emailAddGet"></a>
# **emailAddGet**
> &#39;String&#39; emailAddGet(token_, addEmail)

Создание почтового ящика

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var addEmail = "addEmail_example"; // String | Адрес почтового ящика, который необходимо создать


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.emailAddGet(token_, addEmail, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **addEmail** | **String**| Адрес почтового ящика, который необходимо создать | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="emailAliasDeleteGet"></a>
# **emailAliasDeleteGet**
> &#39;String&#39; emailAliasDeleteGet(token_, key_)

Удаление псевдонимов почтовых ящиков

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = "key__example"; // String | Адрес почтового ящика, подлежащего удалению


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.emailAliasDeleteGet(token_, key_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **String**| Адрес почтового ящика, подлежащего удалению | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="emailAliasListGet"></a>
# **emailAliasListGet**
> [InlineResponse2005] emailAliasListGet(token_)

Получить список псевдонимов почтовых ящиков

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.emailAliasListGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

[**[InlineResponse2005]**](InlineResponse2005.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="emailDeleteGet"></a>
# **emailDeleteGet**
> &#39;String&#39; emailDeleteGet(token_, key_)

Удаление почтового ящика

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = "key__example"; // String | Адрес почтового ящика, подлежащего удалению


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.emailDeleteGet(token_, key_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **String**| Адрес почтового ящика, подлежащего удалению | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="emailListGet"></a>
# **emailListGet**
> [InlineResponse2006] emailListGet(token_)

Получить список почтовых ящиков

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.emailListGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

[**[InlineResponse2006]**](InlineResponse2006.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updatesLastGet"></a>
# **updatesLastGet**
> &#39;Integer&#39; updatesLastGet(token_)

Идентификатор последнего уведомления в аудите

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.updatesLastGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

**&#39;Integer&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updatesListGet"></a>
# **updatesListGet**
> [InlineResponse20010] updatesListGet(token_, key_)

Список записей аудита

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = 56; // Integer | ID первой записи для показа или 0 для показа всех записей


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.updatesListGet(token_, key_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **Integer**| ID первой записи для показа или 0 для показа всех записей | 

### Return type

[**[InlineResponse20010]**](InlineResponse20010.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="websiteDeleteGet"></a>
# **websiteDeleteGet**
> &#39;String&#39; websiteDeleteGet(token_, key_)

Удаление сайта

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = "key__example"; // String | ID сайта, полученный из /website/list


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.websiteDeleteGet(token_, key_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **String**| ID сайта, полученный из /website/list | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="websiteListGet"></a>
# **websiteListGet**
> [InlineResponse20014] websiteListGet(token_)

Список сайтов аккаунта

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.DefaultApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.websiteListGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

[**[InlineResponse20014]**](InlineResponse20014.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

