# 1GbApi.VDSHyperVOpenVZApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**vdsCreateGet**](VDSHyperVOpenVZApi.md#vdsCreateGet) | **GET** /vds/create | Изменение параметров VDS
[**vdsDeleteGet**](VDSHyperVOpenVZApi.md#vdsDeleteGet) | **GET** /vds/delete | Удаление VDS
[**vdsIpAddGet**](VDSHyperVOpenVZApi.md#vdsIpAddGet) | **GET** /vds/ip/add | Добавление IP на VDS
[**vdsIpDeleteGet**](VDSHyperVOpenVZApi.md#vdsIpDeleteGet) | **GET** /vds/ip/delete | Удаление IP с VDS
[**vdsIpListGet**](VDSHyperVOpenVZApi.md#vdsIpListGet) | **GET** /vds/ip/list | Список IP-адресов виртуальных серверов
[**vdsListGet**](VDSHyperVOpenVZApi.md#vdsListGet) | **GET** /vds/list | Список виртуальных серверов
[**vdsRebootGet**](VDSHyperVOpenVZApi.md#vdsRebootGet) | **GET** /vds/reboot | Перезагрузка VDS
[**vdsTemplatesListGet**](VDSHyperVOpenVZApi.md#vdsTemplatesListGet) | **GET** /vds/templates-list | Список шаблонов виртуальных серверов
[**vdsUpdateGet**](VDSHyperVOpenVZApi.md#vdsUpdateGet) | **GET** /vds/update | Создание VDS


<a name="vdsCreateGet"></a>
# **vdsCreateGet**
> &#39;String&#39; vdsCreateGet(token_, opts)

Изменение параметров VDS

Изменение параметров уже существующего VDS

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.VDSHyperVOpenVZApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var opts = { 
  'type': "type_example", // String | Тип создаваемого VDS. 'vz1', 'vz2', 'vz3', 'vz4', 'vz5' или 'vds.dynamic'. По умолчанию 'vds.dynamic'
  'crHvmem': 56, // Integer | Количество доступной памяти в мегабайтах. По умолчанию 2048
  'crHvdsk': 56, // Integer | Количество доступных гигабайт диска. По умолчанию 30
  'crHvcpu': 56, // Integer | Количество ядер CPU. По умолчанию 2
  'template': "template_example", // String | Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list
  'forceMemo': "forceMemo_example", // String | 
  'hv1gbPanelVersion': "hv1gbPanelVersion_example", // String | 
  'panelInstall': true, // Boolean | Необходимо ли установить панель 1Gb на VDS
  'crSsd1': true, // Boolean | Создать всю систему на SSD
  'crHvAllSystem': true // Boolean | Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными)
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.vdsCreateGet(token_, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **type** | **String**| Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39; | [optional] 
 **crHvmem** | **Integer**| Количество доступной памяти в мегабайтах. По умолчанию 2048 | [optional] 
 **crHvdsk** | **Integer**| Количество доступных гигабайт диска. По умолчанию 30 | [optional] 
 **crHvcpu** | **Integer**| Количество ядер CPU. По умолчанию 2 | [optional] 
 **template** | **String**| Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list | [optional] 
 **forceMemo** | **String**|  | [optional] 
 **hv1gbPanelVersion** | **String**|  | [optional] 
 **panelInstall** | **Boolean**| Необходимо ли установить панель 1Gb на VDS | [optional] 
 **crSsd1** | **Boolean**| Создать всю систему на SSD | [optional] 
 **crHvAllSystem** | **Boolean**| Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) | [optional] 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsDeleteGet"></a>
# **vdsDeleteGet**
> &#39;String&#39; vdsDeleteGet(token_, key_, opts)

Удаление VDS

Предоставляет функционал для удаления VDS

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.VDSHyperVOpenVZApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = 56; // Integer | ID виртуального сервера, полученный из /vds/list

var opts = { 
  'forceCritical': true // Boolean | Если true, VDS будет удален срочно
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.vdsDeleteGet(token_, key_, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list | 
 **forceCritical** | **Boolean**| Если true, VDS будет удален срочно | [optional] 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsIpAddGet"></a>
# **vdsIpAddGet**
> &#39;String&#39; vdsIpAddGet(token_, key_)

Добавление IP на VDS

Этот вызов позволяет добавить ещё один IP адрес на указанный VDS

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.VDSHyperVOpenVZApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = 56; // Integer | ID виртуального сервера, полученный из /vds/list


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.vdsIpAddGet(token_, key_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsIpDeleteGet"></a>
# **vdsIpDeleteGet**
> &#39;String&#39; vdsIpDeleteGet(token_, key_, delIp)

Удаление IP с VDS

Этот вызов позволяет отвязать IP адрес от VDS

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.VDSHyperVOpenVZApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = 56; // Integer | ID виртуального сервера, полученный из /vds/list

var delIp = "delIp_example"; // String | IP адрес, который необходимо удалить


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.vdsIpDeleteGet(token_, key_, delIp, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list | 
 **delIp** | **String**| IP адрес, который необходимо удалить | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsIpListGet"></a>
# **vdsIpListGet**
> [InlineResponse20011] vdsIpListGet(token_, opts)

Список IP-адресов виртуальных серверов

Список IP-адресов виртуальных серверов

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.VDSHyperVOpenVZApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var opts = { 
  'key_': 56 // Integer | ID виртуального сервера, полученный из /vds/list
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.vdsIpListGet(token_, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list | [optional] 

### Return type

[**[InlineResponse20011]**](InlineResponse20011.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsListGet"></a>
# **vdsListGet**
> [InlineResponse20012] vdsListGet(token_, opts)

Список виртуальных серверов

Позволяет получить список виртуальных серверов

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.VDSHyperVOpenVZApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var opts = { 
  'key_': 56 // Integer | ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.vdsListGet(token_, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **Integer**| ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS | [optional] 

### Return type

[**[InlineResponse20012]**](InlineResponse20012.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsRebootGet"></a>
# **vdsRebootGet**
> &#39;String&#39; vdsRebootGet(token_, key_)

Перезагрузка VDS

Предоставляет функционал для перезагрузки VDS

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.VDSHyperVOpenVZApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = 56; // Integer | ID виртуального сервера, полученный из /vds/list


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.vdsRebootGet(token_, key_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list | 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsTemplatesListGet"></a>
# **vdsTemplatesListGet**
> [InlineResponse20013] vdsTemplatesListGet(token_)

Список шаблонов виртуальных серверов

Позволяет получить список шаблонов виртуальных серверов

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.VDSHyperVOpenVZApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.vdsTemplatesListGet(token_, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 

### Return type

[**[InlineResponse20013]**](InlineResponse20013.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsUpdateGet"></a>
# **vdsUpdateGet**
> &#39;String&#39; vdsUpdateGet(token_, key_, opts)

Создание VDS

Создание новых VDS с произвольными характеристиками

### Example
```javascript
var 1GbApi = require('1_gb_api');

var apiInstance = new 1GbApi.VDSHyperVOpenVZApi();

var token_ = "token__example"; // String | Ключ доступа, полученный при авторизации

var key_ = 56; // Integer | ID виртуального сервера, полученный из /vds/list

var opts = { 
  'crHvmem': 56, // Integer | Количество доступной памяти в мегабайтах. По умолчанию 2048
  'crHvdsk': 56, // Integer | Количество доступных гигабайт диска. По умолчанию 30
  'crHvcpu': 56 // Integer | Количество ядер CPU. По умолчанию 2
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.vdsUpdateGet(token_, key_, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации | 
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list | 
 **crHvmem** | **Integer**| Количество доступной памяти в мегабайтах. По умолчанию 2048 | [optional] 
 **crHvdsk** | **Integer**| Количество доступных гигабайт диска. По умолчанию 30 | [optional] 
 **crHvcpu** | **Integer**| Количество ядер CPU. По умолчанию 2 | [optional] 

### Return type

**&#39;String&#39;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

