/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/InlineResponse2003', 'model/InlineResponse2004'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/InlineResponse2003'), require('../model/InlineResponse2004'));
  } else {
    // Browser globals (root is window)
    if (!root.1GbApi) {
      root.1GbApi = {};
    }
    root.1GbApi.DNSApi = factory(root.1GbApi.ApiClient, root.1GbApi.InlineResponse2003, root.1GbApi.InlineResponse2004);
  }
}(this, function(ApiClient, InlineResponse2003, InlineResponse2004) {
  'use strict';

  /**
   * DNS service.
   * @module api/DNSApi
   * @version 2.0.0
   */

  /**
   * Constructs a new DNSApi. 
   * @alias module:api/DNSApi
   * @class
   * @param {module:ApiClient} apiClient Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the dnsAddGet operation.
     * @callback module:api/DNSApi~dnsAddGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Создание записи домена
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {String} addDnsZone зона, которую необходимо создать
     * @param {Object} opts Optional parameters
     * @param {String} opts.addDnsRecord 
     * @param {String} opts.iisSiteForDns ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку
     * @param {Boolean} opts.bindOnly 
     * @param {module:api/DNSApi~dnsAddGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.dnsAddGet = function(token_, addDnsZone, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling dnsAddGet";
      }

      // verify the required parameter 'addDnsZone' is set
      if (addDnsZone == undefined || addDnsZone == null) {
        throw "Missing the required parameter 'addDnsZone' when calling dnsAddGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        'add_dns_zone': addDnsZone,
        'add_dns_record': opts['addDnsRecord'],
        'iis_site_for_dns': opts['iisSiteForDns'],
        'bind_only': opts['bindOnly']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/dns/add', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the dnsBindGet operation.
     * @callback module:api/DNSApi~dnsBindGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Привязка одного домена к другому
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Integer} key_ ID домена из списка /dns/list
     * @param {Object} opts Optional parameters
     * @param {String} opts.bindTo домен, к которому необходимо сделать привязку
     * @param {module:api/DNSApi~dnsBindGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.dnsBindGet = function(token_, key_, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling dnsBindGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling dnsBindGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_,
        'bind_to': opts['bindTo']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/dns/bind', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the dnsListGet operation.
     * @callback module:api/DNSApi~dnsListGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse2003>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Получить список доменных имён
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DNSApi~dnsListGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse2003>}
     */
    this.dnsListGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling dnsListGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse2003];

      return this.apiClient.callApi(
        '/dns/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the dnsProlongListGet operation.
     * @callback module:api/DNSApi~dnsProlongListGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse2004>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Информация по продлению доменов
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DNSApi~dnsProlongListGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse2004>}
     */
    this.dnsProlongListGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling dnsProlongListGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse2004];

      return this.apiClient.callApi(
        '/dns/prolong/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the dnsRawGet operation.
     * @callback module:api/DNSApi~dnsRawGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Редактирование \&quot;сырой\&quot; зоны
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Integer} key_ ID домена из /dns/list
     * @param {Integer} sDel Значение &#39;1&#39; сообщает, что запись необходимо удалить
     * @param {Integer} sAdd Значение &#39;1&#39; сообщает, что запись необходимо создать
     * @param {String} dnsType Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV
     * @param {String} dnsName Имя записи, либо &#39;@&#39; для корневой
     * @param {String} dnsValue Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение)
     * @param {module:api/DNSApi~dnsRawGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.dnsRawGet = function(token_, key_, sDel, sAdd, dnsType, dnsName, dnsValue, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling dnsRawGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling dnsRawGet";
      }

      // verify the required parameter 'sDel' is set
      if (sDel == undefined || sDel == null) {
        throw "Missing the required parameter 'sDel' when calling dnsRawGet";
      }

      // verify the required parameter 'sAdd' is set
      if (sAdd == undefined || sAdd == null) {
        throw "Missing the required parameter 'sAdd' when calling dnsRawGet";
      }

      // verify the required parameter 'dnsType' is set
      if (dnsType == undefined || dnsType == null) {
        throw "Missing the required parameter 'dnsType' when calling dnsRawGet";
      }

      // verify the required parameter 'dnsName' is set
      if (dnsName == undefined || dnsName == null) {
        throw "Missing the required parameter 'dnsName' when calling dnsRawGet";
      }

      // verify the required parameter 'dnsValue' is set
      if (dnsValue == undefined || dnsValue == null) {
        throw "Missing the required parameter 'dnsValue' when calling dnsRawGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_,
        's_del': sDel,
        's_add': sAdd,
        'dns_type': dnsType,
        'dns_name': dnsName,
        'dns_value': dnsValue
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/dns/raw', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the dnsRawManagedmxGet operation.
     * @callback module:api/DNSApi~dnsRawManagedmxGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Редактировать DNS-зону
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Integer} key_ ID домена из /dns/list
     * @param {Integer} managedMx Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить
     * @param {Integer} updManagedMx Значение &#39;1&#39; подтверждает операцию
     * @param {module:api/DNSApi~dnsRawManagedmxGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.dnsRawManagedmxGet = function(token_, key_, managedMx, updManagedMx, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling dnsRawManagedmxGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling dnsRawManagedmxGet";
      }

      // verify the required parameter 'managedMx' is set
      if (managedMx == undefined || managedMx == null) {
        throw "Missing the required parameter 'managedMx' when calling dnsRawManagedmxGet";
      }

      // verify the required parameter 'updManagedMx' is set
      if (updManagedMx == undefined || updManagedMx == null) {
        throw "Missing the required parameter 'updManagedMx' when calling dnsRawManagedmxGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_,
        'managed_mx': managedMx,
        'upd_managed_mx': updManagedMx
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/dns/raw/managedmx', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
