/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/InlineResponse200', 'model/InlineResponse2001', 'model/_', 'model/InlineResponse2004', 'model/InlineResponse2005', 'model/InlineResponse2006', 'model/InlineResponse20010', 'model/InlineResponse20014'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/InlineResponse200'), require('../model/InlineResponse2001'), require('../model/_'), require('../model/InlineResponse2004'), require('../model/InlineResponse2005'), require('../model/InlineResponse2006'), require('../model/InlineResponse20010'), require('../model/InlineResponse20014'));
  } else {
    // Browser globals (root is window)
    if (!root.1GbApi) {
      root.1GbApi = {};
    }
    root.1GbApi.DefaultApi = factory(root.1GbApi.ApiClient, root.1GbApi.InlineResponse200, root.1GbApi.InlineResponse2001, root.1GbApi._, root.1GbApi.InlineResponse2004, root.1GbApi.InlineResponse2005, root.1GbApi.InlineResponse2006, root.1GbApi.InlineResponse20010, root.1GbApi.InlineResponse20014);
  }
}(this, function(ApiClient, InlineResponse200, InlineResponse2001, _, InlineResponse2004, InlineResponse2005, InlineResponse2006, InlineResponse20010, InlineResponse20014) {
  'use strict';

  /**
   *  service.
   * @module api/DefaultApi
   * @version 2.0.0
   */

  /**
   * Constructs a new DefaultApi. 
   * @alias module:api/DefaultApi
   * @class
   * @param {module:ApiClient} apiClient Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the balanceGet operation.
     * @callback module:api/DefaultApi~balanceGetCallback
     * @param {String} error Error message, if any.
     * @param {'Number'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Аккаунт: баланс
     * Возвращает текущий баланс аккаунта
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DefaultApi~balanceGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'Number'}
     */
    this.balanceGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling balanceGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'Number';

      return this.apiClient.callApi(
        '/balance', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the balanceLicGet operation.
     * @callback module:api/DefaultApi~balanceLicGetCallback
     * @param {String} error Error message, if any.
     * @param {'Number'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Аккаунт: баланс аккаунта лицензий
     * Возвращает текущий баланс аккаунта лицензий
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DefaultApi~balanceLicGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'Number'}
     */
    this.balanceLicGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling balanceLicGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'Number';

      return this.apiClient.callApi(
        '/balance.lic', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the billingDebtGet operation.
     * @callback module:api/DefaultApi~billingDebtGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse200>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Информация по дебету аккаунта
     * Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DefaultApi~billingDebtGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse200>}
     */
    this.billingDebtGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling billingDebtGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse200];

      return this.apiClient.callApi(
        '/billing/debt', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the billingInfoGet operation.
     * @callback module:api/DefaultApi~billingInfoGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse2001>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Информация об аккаунте
     * Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DefaultApi~billingInfoGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse2001>}
     */
    this.billingInfoGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling billingInfoGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse2001];

      return this.apiClient.callApi(
        '/billing/info', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the billingLimitsGet operation.
     * @callback module:api/DefaultApi~billingLimitsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/_} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Получить ограничения аккаунта
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DefaultApi~billingLimitsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {module:model/_}
     */
    this.billingLimitsGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling billingLimitsGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = _;

      return this.apiClient.callApi(
        '/billing/limits', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the dnsProlongListGet operation.
     * @callback module:api/DefaultApi~dnsProlongListGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse2004>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Информация по продлению доменов
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DefaultApi~dnsProlongListGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse2004>}
     */
    this.dnsProlongListGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling dnsProlongListGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse2004];

      return this.apiClient.callApi(
        '/dns/prolong/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the emailAddGet operation.
     * @callback module:api/DefaultApi~emailAddGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Создание почтового ящика
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {String} addEmail Адрес почтового ящика, который необходимо создать
     * @param {module:api/DefaultApi~emailAddGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.emailAddGet = function(token_, addEmail, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling emailAddGet";
      }

      // verify the required parameter 'addEmail' is set
      if (addEmail == undefined || addEmail == null) {
        throw "Missing the required parameter 'addEmail' when calling emailAddGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        'add_email': addEmail
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/email/add', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the emailAliasDeleteGet operation.
     * @callback module:api/DefaultApi~emailAliasDeleteGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Удаление псевдонимов почтовых ящиков
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {String} key_ Адрес почтового ящика, подлежащего удалению
     * @param {module:api/DefaultApi~emailAliasDeleteGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.emailAliasDeleteGet = function(token_, key_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling emailAliasDeleteGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling emailAliasDeleteGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/email/alias/delete', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the emailAliasListGet operation.
     * @callback module:api/DefaultApi~emailAliasListGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse2005>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Получить список псевдонимов почтовых ящиков
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DefaultApi~emailAliasListGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse2005>}
     */
    this.emailAliasListGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling emailAliasListGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse2005];

      return this.apiClient.callApi(
        '/email/alias/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the emailDeleteGet operation.
     * @callback module:api/DefaultApi~emailDeleteGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Удаление почтового ящика
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {String} key_ Адрес почтового ящика, подлежащего удалению
     * @param {module:api/DefaultApi~emailDeleteGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.emailDeleteGet = function(token_, key_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling emailDeleteGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling emailDeleteGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/email/delete', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the emailListGet operation.
     * @callback module:api/DefaultApi~emailListGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse2006>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Получить список почтовых ящиков
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DefaultApi~emailListGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse2006>}
     */
    this.emailListGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling emailListGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse2006];

      return this.apiClient.callApi(
        '/email/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the updatesLastGet operation.
     * @callback module:api/DefaultApi~updatesLastGetCallback
     * @param {String} error Error message, if any.
     * @param {'Integer'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Идентификатор последнего уведомления в аудите
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DefaultApi~updatesLastGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'Integer'}
     */
    this.updatesLastGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling updatesLastGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'Integer';

      return this.apiClient.callApi(
        '/updates/last', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the updatesListGet operation.
     * @callback module:api/DefaultApi~updatesListGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse20010>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Список записей аудита
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Integer} key_ ID первой записи для показа или 0 для показа всех записей
     * @param {module:api/DefaultApi~updatesListGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse20010>}
     */
    this.updatesListGet = function(token_, key_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling updatesListGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling updatesListGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse20010];

      return this.apiClient.callApi(
        '/updates/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the websiteDeleteGet operation.
     * @callback module:api/DefaultApi~websiteDeleteGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Удаление сайта
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {String} key_ ID сайта, полученный из /website/list
     * @param {module:api/DefaultApi~websiteDeleteGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.websiteDeleteGet = function(token_, key_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling websiteDeleteGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling websiteDeleteGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/website/delete', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the websiteListGet operation.
     * @callback module:api/DefaultApi~websiteListGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse20014>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Список сайтов аккаунта
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/DefaultApi~websiteListGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse20014>}
     */
    this.websiteListGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling websiteListGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse20014];

      return this.apiClient.callApi(
        '/website/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
