/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/InlineResponse20011', 'model/InlineResponse20012', 'model/InlineResponse20013'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/InlineResponse20011'), require('../model/InlineResponse20012'), require('../model/InlineResponse20013'));
  } else {
    // Browser globals (root is window)
    if (!root.1GbApi) {
      root.1GbApi = {};
    }
    root.1GbApi.VDSHyperVOpenVZApi = factory(root.1GbApi.ApiClient, root.1GbApi.InlineResponse20011, root.1GbApi.InlineResponse20012, root.1GbApi.InlineResponse20013);
  }
}(this, function(ApiClient, InlineResponse20011, InlineResponse20012, InlineResponse20013) {
  'use strict';

  /**
   * VDSHyperVOpenVZ service.
   * @module api/VDSHyperVOpenVZApi
   * @version 2.0.0
   */

  /**
   * Constructs a new VDSHyperVOpenVZApi. 
   * @alias module:api/VDSHyperVOpenVZApi
   * @class
   * @param {module:ApiClient} apiClient Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the vdsCreateGet operation.
     * @callback module:api/VDSHyperVOpenVZApi~vdsCreateGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Изменение параметров VDS
     * Изменение параметров уже существующего VDS
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Object} opts Optional parameters
     * @param {String} opts.type Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39;
     * @param {Integer} opts.crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048
     * @param {Integer} opts.crHvdsk Количество доступных гигабайт диска. По умолчанию 30
     * @param {Integer} opts.crHvcpu Количество ядер CPU. По умолчанию 2
     * @param {String} opts.template Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list
     * @param {String} opts.forceMemo 
     * @param {String} opts.hv1gbPanelVersion 
     * @param {Boolean} opts.panelInstall Необходимо ли установить панель 1Gb на VDS
     * @param {Boolean} opts.crSsd1 Создать всю систему на SSD
     * @param {Boolean} opts.crHvAllSystem Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными)
     * @param {module:api/VDSHyperVOpenVZApi~vdsCreateGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.vdsCreateGet = function(token_, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling vdsCreateGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        'type': opts['type'],
        'cr_hvmem': opts['crHvmem'],
        'cr_hvdsk': opts['crHvdsk'],
        'cr_hvcpu': opts['crHvcpu'],
        'template': opts['template'],
        'force_memo': opts['forceMemo'],
        'hv_1gb_panel_version': opts['hv1gbPanelVersion'],
        'panel_install': opts['panelInstall'],
        'cr_ssd1': opts['crSsd1'],
        'cr_hv_all_system': opts['crHvAllSystem']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/vds/create', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the vdsDeleteGet operation.
     * @callback module:api/VDSHyperVOpenVZApi~vdsDeleteGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Удаление VDS
     * Предоставляет функционал для удаления VDS
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Integer} key_ ID виртуального сервера, полученный из /vds/list
     * @param {Object} opts Optional parameters
     * @param {Boolean} opts.forceCritical Если true, VDS будет удален срочно
     * @param {module:api/VDSHyperVOpenVZApi~vdsDeleteGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.vdsDeleteGet = function(token_, key_, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling vdsDeleteGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling vdsDeleteGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_,
        'force_critical': opts['forceCritical']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/vds/delete', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the vdsIpAddGet operation.
     * @callback module:api/VDSHyperVOpenVZApi~vdsIpAddGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Добавление IP на VDS
     * Этот вызов позволяет добавить ещё один IP адрес на указанный VDS
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Integer} key_ ID виртуального сервера, полученный из /vds/list
     * @param {module:api/VDSHyperVOpenVZApi~vdsIpAddGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.vdsIpAddGet = function(token_, key_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling vdsIpAddGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling vdsIpAddGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/vds/ip/add', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the vdsIpDeleteGet operation.
     * @callback module:api/VDSHyperVOpenVZApi~vdsIpDeleteGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Удаление IP с VDS
     * Этот вызов позволяет отвязать IP адрес от VDS
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Integer} key_ ID виртуального сервера, полученный из /vds/list
     * @param {String} delIp IP адрес, который необходимо удалить
     * @param {module:api/VDSHyperVOpenVZApi~vdsIpDeleteGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.vdsIpDeleteGet = function(token_, key_, delIp, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling vdsIpDeleteGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling vdsIpDeleteGet";
      }

      // verify the required parameter 'delIp' is set
      if (delIp == undefined || delIp == null) {
        throw "Missing the required parameter 'delIp' when calling vdsIpDeleteGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_,
        'del_ip': delIp
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/vds/ip/delete', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the vdsIpListGet operation.
     * @callback module:api/VDSHyperVOpenVZApi~vdsIpListGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse20011>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Список IP-адресов виртуальных серверов
     * Список IP-адресов виртуальных серверов
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.key_ ID виртуального сервера, полученный из /vds/list
     * @param {module:api/VDSHyperVOpenVZApi~vdsIpListGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse20011>}
     */
    this.vdsIpListGet = function(token_, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling vdsIpListGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': opts['key_']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse20011];

      return this.apiClient.callApi(
        '/vds/ip/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the vdsListGet operation.
     * @callback module:api/VDSHyperVOpenVZApi~vdsListGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse20012>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Список виртуальных серверов
     * Позволяет получить список виртуальных серверов
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.key_ ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS
     * @param {module:api/VDSHyperVOpenVZApi~vdsListGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse20012>}
     */
    this.vdsListGet = function(token_, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling vdsListGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': opts['key_']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse20012];

      return this.apiClient.callApi(
        '/vds/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the vdsRebootGet operation.
     * @callback module:api/VDSHyperVOpenVZApi~vdsRebootGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Перезагрузка VDS
     * Предоставляет функционал для перезагрузки VDS
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Integer} key_ ID виртуального сервера, полученный из /vds/list
     * @param {module:api/VDSHyperVOpenVZApi~vdsRebootGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.vdsRebootGet = function(token_, key_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling vdsRebootGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling vdsRebootGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/vds/reboot', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the vdsTemplatesListGet operation.
     * @callback module:api/VDSHyperVOpenVZApi~vdsTemplatesListGetCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/InlineResponse20013>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Список шаблонов виртуальных серверов
     * Позволяет получить список шаблонов виртуальных серверов
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {module:api/VDSHyperVOpenVZApi~vdsTemplatesListGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {Array.<module:model/InlineResponse20013>}
     */
    this.vdsTemplatesListGet = function(token_, callback) {
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling vdsTemplatesListGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [InlineResponse20013];

      return this.apiClient.callApi(
        '/vds/templates-list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the vdsUpdateGet operation.
     * @callback module:api/VDSHyperVOpenVZApi~vdsUpdateGetCallback
     * @param {String} error Error message, if any.
     * @param {'String'} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Создание VDS
     * Создание новых VDS с произвольными характеристиками
     * @param {String} token_ Ключ доступа, полученный при авторизации
     * @param {Integer} key_ ID виртуального сервера, полученный из /vds/list
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048
     * @param {Integer} opts.crHvdsk Количество доступных гигабайт диска. По умолчанию 30
     * @param {Integer} opts.crHvcpu Количество ядер CPU. По умолчанию 2
     * @param {module:api/VDSHyperVOpenVZApi~vdsUpdateGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {'String'}
     */
    this.vdsUpdateGet = function(token_, key_, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'token_' is set
      if (token_ == undefined || token_ == null) {
        throw "Missing the required parameter 'token_' when calling vdsUpdateGet";
      }

      // verify the required parameter 'key_' is set
      if (key_ == undefined || key_ == null) {
        throw "Missing the required parameter 'key_' when calling vdsUpdateGet";
      }


      var pathParams = {
      };
      var queryParams = {
        '_token_': token_,
        '_key_': key_,
        'cr_hvmem': opts['crHvmem'],
        'cr_hvdsk': opts['crHvdsk'],
        'cr_hvcpu': opts['crHvcpu']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = 'String';

      return this.apiClient.callApi(
        '/vds/update', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
