/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.1GbApi) {
      root.1GbApi = {};
    }
    root.1GbApi.InlineResponse200 = factory(root.1GbApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The InlineResponse200 model module.
   * @module model/InlineResponse200
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>InlineResponse200</code>.
   * @alias module:model/InlineResponse200
   * @class
   * @param negativeBalanceDays {Integer} Планируемое количество дней до наступления негативного баланса
   * @param negativeBalanceDaysLic {Integer} Планируемое количество дней до наступления негативного баланса по аккаунту лицензий
   * @param lastMonthDebtSum {Number} 
   * @param lastMonthDebtSum2 {Number} 
   * @param blockDate {String} Дата блокировки аккаунта
   */
  var exports = function(negativeBalanceDays, negativeBalanceDaysLic, lastMonthDebtSum, lastMonthDebtSum2, blockDate) {
    var _this = this;

    _this['negative_balance_days'] = negativeBalanceDays;
    _this['negative_balance_days_lic'] = negativeBalanceDaysLic;
    _this['last_month_debt_sum'] = lastMonthDebtSum;
    _this['last_month_debt_sum2'] = lastMonthDebtSum2;
    _this['block_date'] = blockDate;
  };

  /**
   * Constructs a <code>InlineResponse200</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/InlineResponse200} obj Optional instance to populate.
   * @return {module:model/InlineResponse200} The populated <code>InlineResponse200</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('negative_balance_days')) {
        obj['negative_balance_days'] = ApiClient.convertToType(data['negative_balance_days'], 'Integer');
      }
      if (data.hasOwnProperty('negative_balance_days_lic')) {
        obj['negative_balance_days_lic'] = ApiClient.convertToType(data['negative_balance_days_lic'], 'Integer');
      }
      if (data.hasOwnProperty('last_month_debt_sum')) {
        obj['last_month_debt_sum'] = ApiClient.convertToType(data['last_month_debt_sum'], 'Number');
      }
      if (data.hasOwnProperty('last_month_debt_sum2')) {
        obj['last_month_debt_sum2'] = ApiClient.convertToType(data['last_month_debt_sum2'], 'Number');
      }
      if (data.hasOwnProperty('block_date')) {
        obj['block_date'] = ApiClient.convertToType(data['block_date'], 'String');
      }
    }
    return obj;
  }

  /**
   * Планируемое количество дней до наступления негативного баланса
   * @member {Integer} negative_balance_days
   */
  exports.prototype['negative_balance_days'] = undefined;
  /**
   * Планируемое количество дней до наступления негативного баланса по аккаунту лицензий
   * @member {Integer} negative_balance_days_lic
   */
  exports.prototype['negative_balance_days_lic'] = undefined;
  /**
   * 
   * @member {Number} last_month_debt_sum
   */
  exports.prototype['last_month_debt_sum'] = undefined;
  /**
   * 
   * @member {Number} last_month_debt_sum2
   */
  exports.prototype['last_month_debt_sum2'] = undefined;
  /**
   * Дата блокировки аккаунта
   * @member {String} block_date
   */
  exports.prototype['block_date'] = undefined;



  return exports;
}));


