/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.1GbApi) {
      root.1GbApi = {};
    }
    root.1GbApi.InlineResponse2001 = factory(root.1GbApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The InlineResponse2001 model module.
   * @module model/InlineResponse2001
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>InlineResponse2001</code>.
   * @alias module:model/InlineResponse2001
   * @class
   * @param id {Integer} Идентификатор аккаунта
   * @param description {String} Описание аккаунта
   * @param billingGroupId {Integer} Идентификатор тарифной группы
   * @param blocked {String} Аккаунт заблокирован, если true
   * @param creditLimit {Number} Ограничение суммы на работу в аванс
   * @param planId {Integer} Идентификатор тарифа
   * @param periodId {Integer} Идентификатор тарифа (периода)
   * @param contractType {Integer} Тип договора
   * @param clientId {Integer} 
   * @param clientLogin {String} Логин клиента
   * @param contractId {String} Номер договора
   * @param nameRus {String} Имя клиента на русском
   * @param nameEng {String} Имя клиента на английском
   * @param email {String} E-mail клиент
   * @param statSites {Integer} Количество созданных сайтов
   * @param statSizeMb {Integer} Используемое дисковое пространство
   * @param statEmails {Integer} Количество созданных почтовых ящиков
   * @param statMysqls {Integer} Количество баз данных MySQL
   * @param statTech {Integer} 
   * @param statNicd {Integer} 
   * @param statAccessDynamic {Integer} 
   * @param statAccessStatic {Integer} 
   * @param statAccessTraffic {Integer} 
   * @param statPaidTotal {Integer} 
   * @param statVdsSize {Integer} Размер дисков VDS
   * @param planName {String} Название тарифного плана
   * @param periodMonths {Integer} Количество месяцев в оплаченном периоде
   * @param periodPrice {Number} Стоимость оплаченного периода
   * @param expires {String} 
   * @param externalCurrencySpelledPrefix {String} Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')
   * @param externalCurrencySpelledSuffix {String} Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'
   */
  var exports = function(id, description, billingGroupId, blocked, creditLimit, planId, periodId, contractType, clientId, clientLogin, contractId, nameRus, nameEng, email, statSites, statSizeMb, statEmails, statMysqls, statTech, statNicd, statAccessDynamic, statAccessStatic, statAccessTraffic, statPaidTotal, statVdsSize, planName, periodMonths, periodPrice, expires, externalCurrencySpelledPrefix, externalCurrencySpelledSuffix) {
    var _this = this;

    _this['id'] = id;
    _this['description'] = description;
    _this['billing_group_id'] = billingGroupId;
    _this['blocked'] = blocked;


    _this['credit_limit'] = creditLimit;
    _this['plan_id'] = planId;
    _this['period_id'] = periodId;
    _this['contract_type'] = contractType;
    _this['client_id'] = clientId;
    _this['client_login'] = clientLogin;
    _this['contract_id'] = contractId;
    _this['name_rus'] = nameRus;
    _this['name_eng'] = nameEng;
    _this['email'] = email;
    _this['stat_sites'] = statSites;
    _this['stat_size_mb'] = statSizeMb;
    _this['stat_emails'] = statEmails;
    _this['stat_mysqls'] = statMysqls;
    _this['stat_tech'] = statTech;
    _this['stat_nicd'] = statNicd;
    _this['stat_access_dynamic'] = statAccessDynamic;
    _this['stat_access_static'] = statAccessStatic;
    _this['stat_access_traffic'] = statAccessTraffic;
    _this['stat_paid_total'] = statPaidTotal;
    _this['stat_vds_size'] = statVdsSize;
    _this['__plan_name'] = planName;
    _this['__period_months'] = periodMonths;
    _this['__period_price'] = periodPrice;
    _this['__expires'] = expires;
    _this['external_currency_spelled_prefix'] = externalCurrencySpelledPrefix;
    _this['external_currency_spelled_suffix'] = externalCurrencySpelledSuffix;
  };

  /**
   * Constructs a <code>InlineResponse2001</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/InlineResponse2001} obj Optional instance to populate.
   * @return {module:model/InlineResponse2001} The populated <code>InlineResponse2001</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('id')) {
        obj['id'] = ApiClient.convertToType(data['id'], 'Integer');
      }
      if (data.hasOwnProperty('description')) {
        obj['description'] = ApiClient.convertToType(data['description'], 'String');
      }
      if (data.hasOwnProperty('billing_group_id')) {
        obj['billing_group_id'] = ApiClient.convertToType(data['billing_group_id'], 'Integer');
      }
      if (data.hasOwnProperty('blocked')) {
        obj['blocked'] = ApiClient.convertToType(data['blocked'], 'String');
      }
      if (data.hasOwnProperty('blocked_date')) {
        obj['blocked_date'] = ApiClient.convertToType(data['blocked_date'], 'String');
      }
      if (data.hasOwnProperty('blocked_reason')) {
        obj['blocked_reason'] = ApiClient.convertToType(data['blocked_reason'], 'String');
      }
      if (data.hasOwnProperty('credit_limit')) {
        obj['credit_limit'] = ApiClient.convertToType(data['credit_limit'], 'Number');
      }
      if (data.hasOwnProperty('plan_id')) {
        obj['plan_id'] = ApiClient.convertToType(data['plan_id'], 'Integer');
      }
      if (data.hasOwnProperty('period_id')) {
        obj['period_id'] = ApiClient.convertToType(data['period_id'], 'Integer');
      }
      if (data.hasOwnProperty('contract_type')) {
        obj['contract_type'] = ApiClient.convertToType(data['contract_type'], 'Integer');
      }
      if (data.hasOwnProperty('client_id')) {
        obj['client_id'] = ApiClient.convertToType(data['client_id'], 'Integer');
      }
      if (data.hasOwnProperty('client_login')) {
        obj['client_login'] = ApiClient.convertToType(data['client_login'], 'String');
      }
      if (data.hasOwnProperty('contract_id')) {
        obj['contract_id'] = ApiClient.convertToType(data['contract_id'], 'String');
      }
      if (data.hasOwnProperty('name_rus')) {
        obj['name_rus'] = ApiClient.convertToType(data['name_rus'], 'String');
      }
      if (data.hasOwnProperty('name_eng')) {
        obj['name_eng'] = ApiClient.convertToType(data['name_eng'], 'String');
      }
      if (data.hasOwnProperty('email')) {
        obj['email'] = ApiClient.convertToType(data['email'], 'String');
      }
      if (data.hasOwnProperty('stat_sites')) {
        obj['stat_sites'] = ApiClient.convertToType(data['stat_sites'], 'Integer');
      }
      if (data.hasOwnProperty('stat_size_mb')) {
        obj['stat_size_mb'] = ApiClient.convertToType(data['stat_size_mb'], 'Integer');
      }
      if (data.hasOwnProperty('stat_emails')) {
        obj['stat_emails'] = ApiClient.convertToType(data['stat_emails'], 'Integer');
      }
      if (data.hasOwnProperty('stat_mysqls')) {
        obj['stat_mysqls'] = ApiClient.convertToType(data['stat_mysqls'], 'Integer');
      }
      if (data.hasOwnProperty('stat_tech')) {
        obj['stat_tech'] = ApiClient.convertToType(data['stat_tech'], 'Integer');
      }
      if (data.hasOwnProperty('stat_nicd')) {
        obj['stat_nicd'] = ApiClient.convertToType(data['stat_nicd'], 'Integer');
      }
      if (data.hasOwnProperty('stat_access_dynamic')) {
        obj['stat_access_dynamic'] = ApiClient.convertToType(data['stat_access_dynamic'], 'Integer');
      }
      if (data.hasOwnProperty('stat_access_static')) {
        obj['stat_access_static'] = ApiClient.convertToType(data['stat_access_static'], 'Integer');
      }
      if (data.hasOwnProperty('stat_access_traffic')) {
        obj['stat_access_traffic'] = ApiClient.convertToType(data['stat_access_traffic'], 'Integer');
      }
      if (data.hasOwnProperty('stat_paid_total')) {
        obj['stat_paid_total'] = ApiClient.convertToType(data['stat_paid_total'], 'Integer');
      }
      if (data.hasOwnProperty('stat_vds_size')) {
        obj['stat_vds_size'] = ApiClient.convertToType(data['stat_vds_size'], 'Integer');
      }
      if (data.hasOwnProperty('__plan_name')) {
        obj['__plan_name'] = ApiClient.convertToType(data['__plan_name'], 'String');
      }
      if (data.hasOwnProperty('__period_months')) {
        obj['__period_months'] = ApiClient.convertToType(data['__period_months'], 'Integer');
      }
      if (data.hasOwnProperty('__period_price')) {
        obj['__period_price'] = ApiClient.convertToType(data['__period_price'], 'Number');
      }
      if (data.hasOwnProperty('__expires')) {
        obj['__expires'] = ApiClient.convertToType(data['__expires'], 'String');
      }
      if (data.hasOwnProperty('external_currency_spelled_prefix')) {
        obj['external_currency_spelled_prefix'] = ApiClient.convertToType(data['external_currency_spelled_prefix'], 'String');
      }
      if (data.hasOwnProperty('external_currency_spelled_suffix')) {
        obj['external_currency_spelled_suffix'] = ApiClient.convertToType(data['external_currency_spelled_suffix'], 'String');
      }
    }
    return obj;
  }

  /**
   * Идентификатор аккаунта
   * @member {Integer} id
   */
  exports.prototype['id'] = undefined;
  /**
   * Описание аккаунта
   * @member {String} description
   */
  exports.prototype['description'] = undefined;
  /**
   * Идентификатор тарифной группы
   * @member {Integer} billing_group_id
   */
  exports.prototype['billing_group_id'] = undefined;
  /**
   * Аккаунт заблокирован, если true
   * @member {String} blocked
   */
  exports.prototype['blocked'] = undefined;
  /**
   * Дата блокировки
   * @member {String} blocked_date
   */
  exports.prototype['blocked_date'] = undefined;
  /**
   * Причина блокировки
   * @member {String} blocked_reason
   */
  exports.prototype['blocked_reason'] = undefined;
  /**
   * Ограничение суммы на работу в аванс
   * @member {Number} credit_limit
   */
  exports.prototype['credit_limit'] = undefined;
  /**
   * Идентификатор тарифа
   * @member {Integer} plan_id
   */
  exports.prototype['plan_id'] = undefined;
  /**
   * Идентификатор тарифа (периода)
   * @member {Integer} period_id
   */
  exports.prototype['period_id'] = undefined;
  /**
   * Тип договора
   * @member {Integer} contract_type
   */
  exports.prototype['contract_type'] = undefined;
  /**
   * 
   * @member {Integer} client_id
   */
  exports.prototype['client_id'] = undefined;
  /**
   * Логин клиента
   * @member {String} client_login
   */
  exports.prototype['client_login'] = undefined;
  /**
   * Номер договора
   * @member {String} contract_id
   */
  exports.prototype['contract_id'] = undefined;
  /**
   * Имя клиента на русском
   * @member {String} name_rus
   */
  exports.prototype['name_rus'] = undefined;
  /**
   * Имя клиента на английском
   * @member {String} name_eng
   */
  exports.prototype['name_eng'] = undefined;
  /**
   * E-mail клиент
   * @member {String} email
   */
  exports.prototype['email'] = undefined;
  /**
   * Количество созданных сайтов
   * @member {Integer} stat_sites
   */
  exports.prototype['stat_sites'] = undefined;
  /**
   * Используемое дисковое пространство
   * @member {Integer} stat_size_mb
   */
  exports.prototype['stat_size_mb'] = undefined;
  /**
   * Количество созданных почтовых ящиков
   * @member {Integer} stat_emails
   */
  exports.prototype['stat_emails'] = undefined;
  /**
   * Количество баз данных MySQL
   * @member {Integer} stat_mysqls
   */
  exports.prototype['stat_mysqls'] = undefined;
  /**
   * 
   * @member {Integer} stat_tech
   */
  exports.prototype['stat_tech'] = undefined;
  /**
   * 
   * @member {Integer} stat_nicd
   */
  exports.prototype['stat_nicd'] = undefined;
  /**
   * 
   * @member {Integer} stat_access_dynamic
   */
  exports.prototype['stat_access_dynamic'] = undefined;
  /**
   * 
   * @member {Integer} stat_access_static
   */
  exports.prototype['stat_access_static'] = undefined;
  /**
   * 
   * @member {Integer} stat_access_traffic
   */
  exports.prototype['stat_access_traffic'] = undefined;
  /**
   * 
   * @member {Integer} stat_paid_total
   */
  exports.prototype['stat_paid_total'] = undefined;
  /**
   * Размер дисков VDS
   * @member {Integer} stat_vds_size
   */
  exports.prototype['stat_vds_size'] = undefined;
  /**
   * Название тарифного плана
   * @member {String} __plan_name
   */
  exports.prototype['__plan_name'] = undefined;
  /**
   * Количество месяцев в оплаченном периоде
   * @member {Integer} __period_months
   */
  exports.prototype['__period_months'] = undefined;
  /**
   * Стоимость оплаченного периода
   * @member {Number} __period_price
   */
  exports.prototype['__period_price'] = undefined;
  /**
   * 
   * @member {String} __expires
   */
  exports.prototype['__expires'] = undefined;
  /**
   * Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')
   * @member {String} external_currency_spelled_prefix
   */
  exports.prototype['external_currency_spelled_prefix'] = undefined;
  /**
   * Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'
   * @member {String} external_currency_spelled_suffix
   */
  exports.prototype['external_currency_spelled_suffix'] = undefined;



  return exports;
}));


