/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.1GbApi) {
      root.1GbApi = {};
    }
    root.1GbApi.InlineResponse20012 = factory(root.1GbApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The InlineResponse20012 model module.
   * @module model/InlineResponse20012
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>InlineResponse20012</code>.
   * @alias module:model/InlineResponse20012
   * @class
   * @param id {Integer} идентификатор VDS
   * @param deleted {Boolean} VDS удалён если true
   * @param online {Boolean} VDS работает нормально если true
   * @param stopped {Boolean} VDS остановлен если true
   * @param pwd {String} изначальный пароль администратора или root
   * @param template {String} шаблон, на основе которого был создан VDS
   * @param typeFull {String} полное описание типа VDS
   * @param physicalMac {String} MAC-адрес VDS
   * @param type {String} тип VDS
   */
  var exports = function(id, deleted, online, stopped, pwd, template, typeFull, physicalMac, type) {
    var _this = this;

    _this['id'] = id;
    _this['deleted'] = deleted;
    _this['online'] = online;
    _this['stopped'] = stopped;
    _this['pwd'] = pwd;
    _this['template'] = template;
    _this['type_full'] = typeFull;
    _this['physical_mac'] = physicalMac;
    _this['type'] = type;
  };

  /**
   * Constructs a <code>InlineResponse20012</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/InlineResponse20012} obj Optional instance to populate.
   * @return {module:model/InlineResponse20012} The populated <code>InlineResponse20012</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('id')) {
        obj['id'] = ApiClient.convertToType(data['id'], 'Integer');
      }
      if (data.hasOwnProperty('deleted')) {
        obj['deleted'] = ApiClient.convertToType(data['deleted'], 'Boolean');
      }
      if (data.hasOwnProperty('online')) {
        obj['online'] = ApiClient.convertToType(data['online'], 'Boolean');
      }
      if (data.hasOwnProperty('stopped')) {
        obj['stopped'] = ApiClient.convertToType(data['stopped'], 'Boolean');
      }
      if (data.hasOwnProperty('pwd')) {
        obj['pwd'] = ApiClient.convertToType(data['pwd'], 'String');
      }
      if (data.hasOwnProperty('template')) {
        obj['template'] = ApiClient.convertToType(data['template'], 'String');
      }
      if (data.hasOwnProperty('type_full')) {
        obj['type_full'] = ApiClient.convertToType(data['type_full'], 'String');
      }
      if (data.hasOwnProperty('physical_mac')) {
        obj['physical_mac'] = ApiClient.convertToType(data['physical_mac'], 'String');
      }
      if (data.hasOwnProperty('type')) {
        obj['type'] = ApiClient.convertToType(data['type'], 'String');
      }
    }
    return obj;
  }

  /**
   * идентификатор VDS
   * @member {Integer} id
   */
  exports.prototype['id'] = undefined;
  /**
   * VDS удалён если true
   * @member {Boolean} deleted
   */
  exports.prototype['deleted'] = undefined;
  /**
   * VDS работает нормально если true
   * @member {Boolean} online
   */
  exports.prototype['online'] = undefined;
  /**
   * VDS остановлен если true
   * @member {Boolean} stopped
   */
  exports.prototype['stopped'] = undefined;
  /**
   * изначальный пароль администратора или root
   * @member {String} pwd
   */
  exports.prototype['pwd'] = undefined;
  /**
   * шаблон, на основе которого был создан VDS
   * @member {String} template
   */
  exports.prototype['template'] = undefined;
  /**
   * полное описание типа VDS
   * @member {String} type_full
   */
  exports.prototype['type_full'] = undefined;
  /**
   * MAC-адрес VDS
   * @member {String} physical_mac
   */
  exports.prototype['physical_mac'] = undefined;
  /**
   * тип VDS
   * @member {String} type
   */
  exports.prototype['type'] = undefined;



  return exports;
}));


