/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.1GbApi) {
      root.1GbApi = {};
    }
    root.1GbApi.InlineResponse20014 = factory(root.1GbApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The InlineResponse20014 model module.
   * @module model/InlineResponse20014
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>InlineResponse20014</code>.
   * @alias module:model/InlineResponse20014
   * @class
   * @param id {Integer} 
   * @param status {String} 
   * @param unmovable {String} 
   * @param online {String} Включен (активен), если true.
   * @param deleted {String} Удален, если true. Данные могут сохраняться.
   * @param deletedAuto {String} Удален, если true. Данные могут сохраняться.
   * @param deletedDump {String} 
   * @param userId {String} 
   * @param ftpId {String} 
   * @param dnsId {String} 
   * @param iisId {String} 
   * @param iisBinding {String} 
   * @param iisPath {String} 
   * @param iisComments {String} Уникальное строковое имя сайта (ID).
   * @param memo {String} 
   * @param dateReg {String} Дата создания.
   * @param server {String} Тип веб-сервера.
   * @param serverBak {String} 
   * @param serverAux {String} 
   * @param serverTransition {String} Тип сервера недавно изменялся, если true.
   * @param serverTransitionDtc {String} 
   * @param blockTransfer {String} 
   * @param serverChangedTime {String} 
   * @param sizeAmount {String} Размер веб-сайта - объем (Кб).
   * @param sizeFileCount {String} Размер веб-сайта - кол-во файлов.
   * @param sizeFileCountLimit {String} 
   * @param sizeDate {String} Размер веб-сайта - дата замера.
   * @param sizePriorityScan {String} 
   * @param copyLogs {String} 
   * @param contentComments {String} 
   * @param contentCommentsVerbose {String} 
   * @param metaSaveCount {String} 
   * @param baseFolder {String} 
   * @param virtualhostConf {String} 
   * @param virtualhostServer {String} 
   * @param virtualhostServerConf {String} 
   * @param liveDayCount {String} 
   * @param scanDate {String} 
   * @param globalTransferCount {String} 
   * @param netLimitFile {String} 
   * @param netLimitDenyFromIp {String} 
   * @param netLimitDenyFromAgent {String} 
   * @param apachePhpPooled {String} 
   * @param apachePhpPooledExt {String} 
   * @param apachePhpPooledExtAuto {String} 
   * @param apachePhpPool1Only {String} 
   * @param apachePhpPool5Only {String} 
   * @param apacheSsi {String} 
   * @param bypassSecurity {String} 
   * @param flagGenericExec {String} 
   * @param flagNoWww {String} 
   * @param baseFolderSuffix {String} 
   * @param feedbackSpeed {String} 
   * @param feedbackSpeedDtc {String} 
   * @param feedbackSpeedFeedback {String} 
   * @param unixPathOnWindows {String} 
   * @param ftpIpfilter {String} Ограничение по IP адресам - FTP доступ.
   * @param sshIpfilter {String} Ограничение по IP адресам - SSH доступ.
   * @param l3dAuto {String} 
   * @param awstatsPrimaryDomain {String} 
   * @param sharepointMode {String} 
   * @param sharepointModePending {String} 
   * @param apacheGenericPoolPort {String} 
   * @param mongrelEnvironment {String} 
   * @param flagFree {String} 
   * @param rtmScanDate {String} 
   * @param analyzeAnalog {String} 
   * @param cpuDetailsEnabled {String} Включен режим предоставления детализации процессорной нагрузки.
   * @param contentModeratedStatus {String} 
   * @param contentModeratedDate {String} 
   * @param httpFrontendIp {String} 
   * @param httpFrontendIpTransition {String} 
   * @param cpuLimitExceededDate {String} Дата последнего превышения процессорной нагрузки.
   * @param aufsTemplate {String} Признак сайта-конструктора.
   * @param optionsAutolimit {String} 
   * @param iisCreationCommands {String} Версия ASP.NET, если отлична от 2.0.
   * @param iisCreationCommandsUnix {String} 
   * @param thumbDate {String} 
   * @param thumbFailed {String} 
   * @param backupStatDate {String} 
   * @param backupDate {String} Дата пофайловой резервной копии.
   * @param detectedPackages {String} 
   * @param statSitePower {String} 
   * @param smtpFrom {String} 
   * @param superBackupDate {String} 
   * @param backupDeltaStatDate {String} 
   * @param backupDeltaDate {String} Дата архивной резервной копии.
   * @param backupDeltaDesc {String} Содержимое архивной резервной копии.
   * @param altDocrootServer {String} 
   * @param altDocrootPath {String} 
   * @param altDocrootStatus {String} 
   * @param altDocrootStatusCnt {String} 
   * @param altDocrootStatusDate {String} 
   * @param bindDtc {String} Последнее изменение привязок доменов для сайта.
   * @param backupSpecialMode {String} 
   * @param sizeCheckProblem {String} 
   * @param wpbDomain {String} 
   * @param wpbUuid {String} Для сайта включен конструктор Parallels WPB.
   * @param wpbStatus {String} 
   * @param adminProtection {String} 
   * @param sizeComments {String} 
   * @param altDocrootSsdReq {String} 
   * @param mailLimit {String} 
   * @param mailAccept {String} 
   * @param mailDrop {String} 
   * @param ftpName {String} FTP/SSH/SCP/SFTP логин.
   * @param ftpPwd {String} FTP/SSH/SCP/SFTP пароль.
   */
  var exports = function(id, status, unmovable, online, deleted, deletedAuto, deletedDump, userId, ftpId, dnsId, iisId, iisBinding, iisPath, iisComments, memo, dateReg, server, serverBak, serverAux, serverTransition, serverTransitionDtc, blockTransfer, serverChangedTime, sizeAmount, sizeFileCount, sizeFileCountLimit, sizeDate, sizePriorityScan, copyLogs, contentComments, contentCommentsVerbose, metaSaveCount, baseFolder, virtualhostConf, virtualhostServer, virtualhostServerConf, liveDayCount, scanDate, globalTransferCount, netLimitFile, netLimitDenyFromIp, netLimitDenyFromAgent, apachePhpPooled, apachePhpPooledExt, apachePhpPooledExtAuto, apachePhpPool1Only, apachePhpPool5Only, apacheSsi, bypassSecurity, flagGenericExec, flagNoWww, baseFolderSuffix, feedbackSpeed, feedbackSpeedDtc, feedbackSpeedFeedback, unixPathOnWindows, ftpIpfilter, sshIpfilter, l3dAuto, awstatsPrimaryDomain, sharepointMode, sharepointModePending, apacheGenericPoolPort, mongrelEnvironment, flagFree, rtmScanDate, analyzeAnalog, cpuDetailsEnabled, contentModeratedStatus, contentModeratedDate, httpFrontendIp, httpFrontendIpTransition, cpuLimitExceededDate, aufsTemplate, optionsAutolimit, iisCreationCommands, iisCreationCommandsUnix, thumbDate, thumbFailed, backupStatDate, backupDate, detectedPackages, statSitePower, smtpFrom, superBackupDate, backupDeltaStatDate, backupDeltaDate, backupDeltaDesc, altDocrootServer, altDocrootPath, altDocrootStatus, altDocrootStatusCnt, altDocrootStatusDate, bindDtc, backupSpecialMode, sizeCheckProblem, wpbDomain, wpbUuid, wpbStatus, adminProtection, sizeComments, altDocrootSsdReq, mailLimit, mailAccept, mailDrop, ftpName, ftpPwd) {
    var _this = this;

    _this['id'] = id;
    _this['status'] = status;
    _this['unmovable'] = unmovable;
    _this['online'] = online;
    _this['deleted'] = deleted;
    _this['deleted_auto'] = deletedAuto;
    _this['deleted_dump'] = deletedDump;
    _this['user_id'] = userId;
    _this['ftp_id'] = ftpId;
    _this['dns_id'] = dnsId;
    _this['iis_id'] = iisId;
    _this['iis_binding'] = iisBinding;
    _this['iis_path'] = iisPath;
    _this['iis_comments'] = iisComments;
    _this['memo'] = memo;
    _this['date_reg'] = dateReg;
    _this['server'] = server;
    _this['server_bak'] = serverBak;
    _this['server_aux'] = serverAux;
    _this['server_transition'] = serverTransition;
    _this['server_transition_dtc'] = serverTransitionDtc;
    _this['block_transfer'] = blockTransfer;
    _this['server_changed_time'] = serverChangedTime;
    _this['size_amount'] = sizeAmount;
    _this['size_file_count'] = sizeFileCount;
    _this['size_file_count_limit'] = sizeFileCountLimit;
    _this['size_date'] = sizeDate;
    _this['size_priority_scan'] = sizePriorityScan;
    _this['copy_logs'] = copyLogs;
    _this['content_comments'] = contentComments;
    _this['content_comments_verbose'] = contentCommentsVerbose;
    _this['meta_save_count'] = metaSaveCount;
    _this['base_folder'] = baseFolder;
    _this['virtualhost_conf'] = virtualhostConf;
    _this['virtualhost_server'] = virtualhostServer;
    _this['virtualhost_server_conf'] = virtualhostServerConf;
    _this['live_day_count'] = liveDayCount;
    _this['scan_date'] = scanDate;
    _this['global_transfer_count'] = globalTransferCount;
    _this['net_limit_file'] = netLimitFile;
    _this['net_limit_deny_from_ip'] = netLimitDenyFromIp;
    _this['net_limit_deny_from_agent'] = netLimitDenyFromAgent;
    _this['apache_php_pooled'] = apachePhpPooled;
    _this['apache_php_pooled_ext'] = apachePhpPooledExt;
    _this['apache_php_pooled_ext_auto'] = apachePhpPooledExtAuto;
    _this['apache_php_pool1_only'] = apachePhpPool1Only;
    _this['apache_php_pool5_only'] = apachePhpPool5Only;
    _this['apache_ssi'] = apacheSsi;
    _this['bypass_security'] = bypassSecurity;
    _this['flag_generic_exec'] = flagGenericExec;
    _this['flag_no_www'] = flagNoWww;
    _this['base_folder_suffix'] = baseFolderSuffix;
    _this['feedback_speed'] = feedbackSpeed;
    _this['feedback_speed_dtc'] = feedbackSpeedDtc;
    _this['feedback_speed_feedback'] = feedbackSpeedFeedback;
    _this['unix_path_on_windows'] = unixPathOnWindows;
    _this['ftp_ipfilter'] = ftpIpfilter;
    _this['ssh_ipfilter'] = sshIpfilter;
    _this['l3d_auto'] = l3dAuto;
    _this['awstats_primary_domain'] = awstatsPrimaryDomain;
    _this['sharepoint_mode'] = sharepointMode;
    _this['sharepoint_mode_pending'] = sharepointModePending;
    _this['apache_generic_pool_port'] = apacheGenericPoolPort;
    _this['mongrel_environment'] = mongrelEnvironment;
    _this['flag_free'] = flagFree;
    _this['rtm_scan_date'] = rtmScanDate;
    _this['analyze_analog'] = analyzeAnalog;
    _this['cpu_details_enabled'] = cpuDetailsEnabled;
    _this['content_moderated_status'] = contentModeratedStatus;
    _this['content_moderated_date'] = contentModeratedDate;
    _this['http_frontend_ip'] = httpFrontendIp;
    _this['http_frontend_ip_transition'] = httpFrontendIpTransition;
    _this['cpu_limit_exceeded_date'] = cpuLimitExceededDate;
    _this['aufs_template'] = aufsTemplate;
    _this['options_autolimit'] = optionsAutolimit;
    _this['iis_creation_commands'] = iisCreationCommands;
    _this['iis_creation_commands_unix'] = iisCreationCommandsUnix;
    _this['thumb_date'] = thumbDate;
    _this['thumb_failed'] = thumbFailed;
    _this['backup_stat_date'] = backupStatDate;
    _this['backup_date'] = backupDate;
    _this['detected_packages'] = detectedPackages;
    _this['stat_site_power'] = statSitePower;
    _this['smtp_from'] = smtpFrom;
    _this['super_backup_date'] = superBackupDate;
    _this['backup_delta_stat_date'] = backupDeltaStatDate;
    _this['backup_delta_date'] = backupDeltaDate;
    _this['backup_delta_desc'] = backupDeltaDesc;
    _this['alt_docroot_server'] = altDocrootServer;
    _this['alt_docroot_path'] = altDocrootPath;
    _this['alt_docroot_status'] = altDocrootStatus;
    _this['alt_docroot_status_cnt'] = altDocrootStatusCnt;
    _this['alt_docroot_status_date'] = altDocrootStatusDate;
    _this['bind_dtc'] = bindDtc;
    _this['backup_special_mode'] = backupSpecialMode;
    _this['size_check_problem'] = sizeCheckProblem;
    _this['wpb_domain'] = wpbDomain;
    _this['wpb_uuid'] = wpbUuid;
    _this['wpb_status'] = wpbStatus;
    _this['admin_protection'] = adminProtection;
    _this['size_comments'] = sizeComments;
    _this['alt_docroot_ssd_req'] = altDocrootSsdReq;
    _this['mail_limit'] = mailLimit;
    _this['mail_accept'] = mailAccept;
    _this['mail_drop'] = mailDrop;
    _this['ftp_name'] = ftpName;
    _this['ftp_pwd'] = ftpPwd;
  };

  /**
   * Constructs a <code>InlineResponse20014</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/InlineResponse20014} obj Optional instance to populate.
   * @return {module:model/InlineResponse20014} The populated <code>InlineResponse20014</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('id')) {
        obj['id'] = ApiClient.convertToType(data['id'], 'Integer');
      }
      if (data.hasOwnProperty('status')) {
        obj['status'] = ApiClient.convertToType(data['status'], 'String');
      }
      if (data.hasOwnProperty('unmovable')) {
        obj['unmovable'] = ApiClient.convertToType(data['unmovable'], 'String');
      }
      if (data.hasOwnProperty('online')) {
        obj['online'] = ApiClient.convertToType(data['online'], 'String');
      }
      if (data.hasOwnProperty('deleted')) {
        obj['deleted'] = ApiClient.convertToType(data['deleted'], 'String');
      }
      if (data.hasOwnProperty('deleted_auto')) {
        obj['deleted_auto'] = ApiClient.convertToType(data['deleted_auto'], 'String');
      }
      if (data.hasOwnProperty('deleted_dump')) {
        obj['deleted_dump'] = ApiClient.convertToType(data['deleted_dump'], 'String');
      }
      if (data.hasOwnProperty('user_id')) {
        obj['user_id'] = ApiClient.convertToType(data['user_id'], 'String');
      }
      if (data.hasOwnProperty('ftp_id')) {
        obj['ftp_id'] = ApiClient.convertToType(data['ftp_id'], 'String');
      }
      if (data.hasOwnProperty('dns_id')) {
        obj['dns_id'] = ApiClient.convertToType(data['dns_id'], 'String');
      }
      if (data.hasOwnProperty('iis_id')) {
        obj['iis_id'] = ApiClient.convertToType(data['iis_id'], 'String');
      }
      if (data.hasOwnProperty('iis_binding')) {
        obj['iis_binding'] = ApiClient.convertToType(data['iis_binding'], 'String');
      }
      if (data.hasOwnProperty('iis_path')) {
        obj['iis_path'] = ApiClient.convertToType(data['iis_path'], 'String');
      }
      if (data.hasOwnProperty('iis_comments')) {
        obj['iis_comments'] = ApiClient.convertToType(data['iis_comments'], 'String');
      }
      if (data.hasOwnProperty('memo')) {
        obj['memo'] = ApiClient.convertToType(data['memo'], 'String');
      }
      if (data.hasOwnProperty('date_reg')) {
        obj['date_reg'] = ApiClient.convertToType(data['date_reg'], 'String');
      }
      if (data.hasOwnProperty('server')) {
        obj['server'] = ApiClient.convertToType(data['server'], 'String');
      }
      if (data.hasOwnProperty('server_bak')) {
        obj['server_bak'] = ApiClient.convertToType(data['server_bak'], 'String');
      }
      if (data.hasOwnProperty('server_aux')) {
        obj['server_aux'] = ApiClient.convertToType(data['server_aux'], 'String');
      }
      if (data.hasOwnProperty('server_transition')) {
        obj['server_transition'] = ApiClient.convertToType(data['server_transition'], 'String');
      }
      if (data.hasOwnProperty('server_transition_dtc')) {
        obj['server_transition_dtc'] = ApiClient.convertToType(data['server_transition_dtc'], 'String');
      }
      if (data.hasOwnProperty('block_transfer')) {
        obj['block_transfer'] = ApiClient.convertToType(data['block_transfer'], 'String');
      }
      if (data.hasOwnProperty('server_changed_time')) {
        obj['server_changed_time'] = ApiClient.convertToType(data['server_changed_time'], 'String');
      }
      if (data.hasOwnProperty('size_amount')) {
        obj['size_amount'] = ApiClient.convertToType(data['size_amount'], 'String');
      }
      if (data.hasOwnProperty('size_file_count')) {
        obj['size_file_count'] = ApiClient.convertToType(data['size_file_count'], 'String');
      }
      if (data.hasOwnProperty('size_file_count_limit')) {
        obj['size_file_count_limit'] = ApiClient.convertToType(data['size_file_count_limit'], 'String');
      }
      if (data.hasOwnProperty('size_date')) {
        obj['size_date'] = ApiClient.convertToType(data['size_date'], 'String');
      }
      if (data.hasOwnProperty('size_priority_scan')) {
        obj['size_priority_scan'] = ApiClient.convertToType(data['size_priority_scan'], 'String');
      }
      if (data.hasOwnProperty('copy_logs')) {
        obj['copy_logs'] = ApiClient.convertToType(data['copy_logs'], 'String');
      }
      if (data.hasOwnProperty('content_comments')) {
        obj['content_comments'] = ApiClient.convertToType(data['content_comments'], 'String');
      }
      if (data.hasOwnProperty('content_comments_verbose')) {
        obj['content_comments_verbose'] = ApiClient.convertToType(data['content_comments_verbose'], 'String');
      }
      if (data.hasOwnProperty('meta_save_count')) {
        obj['meta_save_count'] = ApiClient.convertToType(data['meta_save_count'], 'String');
      }
      if (data.hasOwnProperty('base_folder')) {
        obj['base_folder'] = ApiClient.convertToType(data['base_folder'], 'String');
      }
      if (data.hasOwnProperty('virtualhost_conf')) {
        obj['virtualhost_conf'] = ApiClient.convertToType(data['virtualhost_conf'], 'String');
      }
      if (data.hasOwnProperty('virtualhost_server')) {
        obj['virtualhost_server'] = ApiClient.convertToType(data['virtualhost_server'], 'String');
      }
      if (data.hasOwnProperty('virtualhost_server_conf')) {
        obj['virtualhost_server_conf'] = ApiClient.convertToType(data['virtualhost_server_conf'], 'String');
      }
      if (data.hasOwnProperty('live_day_count')) {
        obj['live_day_count'] = ApiClient.convertToType(data['live_day_count'], 'String');
      }
      if (data.hasOwnProperty('scan_date')) {
        obj['scan_date'] = ApiClient.convertToType(data['scan_date'], 'String');
      }
      if (data.hasOwnProperty('global_transfer_count')) {
        obj['global_transfer_count'] = ApiClient.convertToType(data['global_transfer_count'], 'String');
      }
      if (data.hasOwnProperty('net_limit_file')) {
        obj['net_limit_file'] = ApiClient.convertToType(data['net_limit_file'], 'String');
      }
      if (data.hasOwnProperty('net_limit_deny_from_ip')) {
        obj['net_limit_deny_from_ip'] = ApiClient.convertToType(data['net_limit_deny_from_ip'], 'String');
      }
      if (data.hasOwnProperty('net_limit_deny_from_agent')) {
        obj['net_limit_deny_from_agent'] = ApiClient.convertToType(data['net_limit_deny_from_agent'], 'String');
      }
      if (data.hasOwnProperty('apache_php_pooled')) {
        obj['apache_php_pooled'] = ApiClient.convertToType(data['apache_php_pooled'], 'String');
      }
      if (data.hasOwnProperty('apache_php_pooled_ext')) {
        obj['apache_php_pooled_ext'] = ApiClient.convertToType(data['apache_php_pooled_ext'], 'String');
      }
      if (data.hasOwnProperty('apache_php_pooled_ext_auto')) {
        obj['apache_php_pooled_ext_auto'] = ApiClient.convertToType(data['apache_php_pooled_ext_auto'], 'String');
      }
      if (data.hasOwnProperty('apache_php_pool1_only')) {
        obj['apache_php_pool1_only'] = ApiClient.convertToType(data['apache_php_pool1_only'], 'String');
      }
      if (data.hasOwnProperty('apache_php_pool5_only')) {
        obj['apache_php_pool5_only'] = ApiClient.convertToType(data['apache_php_pool5_only'], 'String');
      }
      if (data.hasOwnProperty('apache_ssi')) {
        obj['apache_ssi'] = ApiClient.convertToType(data['apache_ssi'], 'String');
      }
      if (data.hasOwnProperty('bypass_security')) {
        obj['bypass_security'] = ApiClient.convertToType(data['bypass_security'], 'String');
      }
      if (data.hasOwnProperty('flag_generic_exec')) {
        obj['flag_generic_exec'] = ApiClient.convertToType(data['flag_generic_exec'], 'String');
      }
      if (data.hasOwnProperty('flag_no_www')) {
        obj['flag_no_www'] = ApiClient.convertToType(data['flag_no_www'], 'String');
      }
      if (data.hasOwnProperty('base_folder_suffix')) {
        obj['base_folder_suffix'] = ApiClient.convertToType(data['base_folder_suffix'], 'String');
      }
      if (data.hasOwnProperty('feedback_speed')) {
        obj['feedback_speed'] = ApiClient.convertToType(data['feedback_speed'], 'String');
      }
      if (data.hasOwnProperty('feedback_speed_dtc')) {
        obj['feedback_speed_dtc'] = ApiClient.convertToType(data['feedback_speed_dtc'], 'String');
      }
      if (data.hasOwnProperty('feedback_speed_feedback')) {
        obj['feedback_speed_feedback'] = ApiClient.convertToType(data['feedback_speed_feedback'], 'String');
      }
      if (data.hasOwnProperty('unix_path_on_windows')) {
        obj['unix_path_on_windows'] = ApiClient.convertToType(data['unix_path_on_windows'], 'String');
      }
      if (data.hasOwnProperty('ftp_ipfilter')) {
        obj['ftp_ipfilter'] = ApiClient.convertToType(data['ftp_ipfilter'], 'String');
      }
      if (data.hasOwnProperty('ssh_ipfilter')) {
        obj['ssh_ipfilter'] = ApiClient.convertToType(data['ssh_ipfilter'], 'String');
      }
      if (data.hasOwnProperty('l3d_auto')) {
        obj['l3d_auto'] = ApiClient.convertToType(data['l3d_auto'], 'String');
      }
      if (data.hasOwnProperty('awstats_primary_domain')) {
        obj['awstats_primary_domain'] = ApiClient.convertToType(data['awstats_primary_domain'], 'String');
      }
      if (data.hasOwnProperty('sharepoint_mode')) {
        obj['sharepoint_mode'] = ApiClient.convertToType(data['sharepoint_mode'], 'String');
      }
      if (data.hasOwnProperty('sharepoint_mode_pending')) {
        obj['sharepoint_mode_pending'] = ApiClient.convertToType(data['sharepoint_mode_pending'], 'String');
      }
      if (data.hasOwnProperty('apache_generic_pool_port')) {
        obj['apache_generic_pool_port'] = ApiClient.convertToType(data['apache_generic_pool_port'], 'String');
      }
      if (data.hasOwnProperty('mongrel_environment')) {
        obj['mongrel_environment'] = ApiClient.convertToType(data['mongrel_environment'], 'String');
      }
      if (data.hasOwnProperty('flag_free')) {
        obj['flag_free'] = ApiClient.convertToType(data['flag_free'], 'String');
      }
      if (data.hasOwnProperty('rtm_scan_date')) {
        obj['rtm_scan_date'] = ApiClient.convertToType(data['rtm_scan_date'], 'String');
      }
      if (data.hasOwnProperty('analyze_analog')) {
        obj['analyze_analog'] = ApiClient.convertToType(data['analyze_analog'], 'String');
      }
      if (data.hasOwnProperty('cpu_details_enabled')) {
        obj['cpu_details_enabled'] = ApiClient.convertToType(data['cpu_details_enabled'], 'String');
      }
      if (data.hasOwnProperty('content_moderated_status')) {
        obj['content_moderated_status'] = ApiClient.convertToType(data['content_moderated_status'], 'String');
      }
      if (data.hasOwnProperty('content_moderated_date')) {
        obj['content_moderated_date'] = ApiClient.convertToType(data['content_moderated_date'], 'String');
      }
      if (data.hasOwnProperty('http_frontend_ip')) {
        obj['http_frontend_ip'] = ApiClient.convertToType(data['http_frontend_ip'], 'String');
      }
      if (data.hasOwnProperty('http_frontend_ip_transition')) {
        obj['http_frontend_ip_transition'] = ApiClient.convertToType(data['http_frontend_ip_transition'], 'String');
      }
      if (data.hasOwnProperty('cpu_limit_exceeded_date')) {
        obj['cpu_limit_exceeded_date'] = ApiClient.convertToType(data['cpu_limit_exceeded_date'], 'String');
      }
      if (data.hasOwnProperty('aufs_template')) {
        obj['aufs_template'] = ApiClient.convertToType(data['aufs_template'], 'String');
      }
      if (data.hasOwnProperty('options_autolimit')) {
        obj['options_autolimit'] = ApiClient.convertToType(data['options_autolimit'], 'String');
      }
      if (data.hasOwnProperty('iis_creation_commands')) {
        obj['iis_creation_commands'] = ApiClient.convertToType(data['iis_creation_commands'], 'String');
      }
      if (data.hasOwnProperty('iis_creation_commands_unix')) {
        obj['iis_creation_commands_unix'] = ApiClient.convertToType(data['iis_creation_commands_unix'], 'String');
      }
      if (data.hasOwnProperty('thumb_date')) {
        obj['thumb_date'] = ApiClient.convertToType(data['thumb_date'], 'String');
      }
      if (data.hasOwnProperty('thumb_failed')) {
        obj['thumb_failed'] = ApiClient.convertToType(data['thumb_failed'], 'String');
      }
      if (data.hasOwnProperty('backup_stat_date')) {
        obj['backup_stat_date'] = ApiClient.convertToType(data['backup_stat_date'], 'String');
      }
      if (data.hasOwnProperty('backup_date')) {
        obj['backup_date'] = ApiClient.convertToType(data['backup_date'], 'String');
      }
      if (data.hasOwnProperty('detected_packages')) {
        obj['detected_packages'] = ApiClient.convertToType(data['detected_packages'], 'String');
      }
      if (data.hasOwnProperty('stat_site_power')) {
        obj['stat_site_power'] = ApiClient.convertToType(data['stat_site_power'], 'String');
      }
      if (data.hasOwnProperty('smtp_from')) {
        obj['smtp_from'] = ApiClient.convertToType(data['smtp_from'], 'String');
      }
      if (data.hasOwnProperty('super_backup_date')) {
        obj['super_backup_date'] = ApiClient.convertToType(data['super_backup_date'], 'String');
      }
      if (data.hasOwnProperty('backup_delta_stat_date')) {
        obj['backup_delta_stat_date'] = ApiClient.convertToType(data['backup_delta_stat_date'], 'String');
      }
      if (data.hasOwnProperty('backup_delta_date')) {
        obj['backup_delta_date'] = ApiClient.convertToType(data['backup_delta_date'], 'String');
      }
      if (data.hasOwnProperty('backup_delta_desc')) {
        obj['backup_delta_desc'] = ApiClient.convertToType(data['backup_delta_desc'], 'String');
      }
      if (data.hasOwnProperty('alt_docroot_server')) {
        obj['alt_docroot_server'] = ApiClient.convertToType(data['alt_docroot_server'], 'String');
      }
      if (data.hasOwnProperty('alt_docroot_path')) {
        obj['alt_docroot_path'] = ApiClient.convertToType(data['alt_docroot_path'], 'String');
      }
      if (data.hasOwnProperty('alt_docroot_status')) {
        obj['alt_docroot_status'] = ApiClient.convertToType(data['alt_docroot_status'], 'String');
      }
      if (data.hasOwnProperty('alt_docroot_status_cnt')) {
        obj['alt_docroot_status_cnt'] = ApiClient.convertToType(data['alt_docroot_status_cnt'], 'String');
      }
      if (data.hasOwnProperty('alt_docroot_status_date')) {
        obj['alt_docroot_status_date'] = ApiClient.convertToType(data['alt_docroot_status_date'], 'String');
      }
      if (data.hasOwnProperty('bind_dtc')) {
        obj['bind_dtc'] = ApiClient.convertToType(data['bind_dtc'], 'String');
      }
      if (data.hasOwnProperty('backup_special_mode')) {
        obj['backup_special_mode'] = ApiClient.convertToType(data['backup_special_mode'], 'String');
      }
      if (data.hasOwnProperty('size_check_problem')) {
        obj['size_check_problem'] = ApiClient.convertToType(data['size_check_problem'], 'String');
      }
      if (data.hasOwnProperty('wpb_domain')) {
        obj['wpb_domain'] = ApiClient.convertToType(data['wpb_domain'], 'String');
      }
      if (data.hasOwnProperty('wpb_uuid')) {
        obj['wpb_uuid'] = ApiClient.convertToType(data['wpb_uuid'], 'String');
      }
      if (data.hasOwnProperty('wpb_status')) {
        obj['wpb_status'] = ApiClient.convertToType(data['wpb_status'], 'String');
      }
      if (data.hasOwnProperty('admin_protection')) {
        obj['admin_protection'] = ApiClient.convertToType(data['admin_protection'], 'String');
      }
      if (data.hasOwnProperty('size_comments')) {
        obj['size_comments'] = ApiClient.convertToType(data['size_comments'], 'String');
      }
      if (data.hasOwnProperty('alt_docroot_ssd_req')) {
        obj['alt_docroot_ssd_req'] = ApiClient.convertToType(data['alt_docroot_ssd_req'], 'String');
      }
      if (data.hasOwnProperty('mail_limit')) {
        obj['mail_limit'] = ApiClient.convertToType(data['mail_limit'], 'String');
      }
      if (data.hasOwnProperty('mail_accept')) {
        obj['mail_accept'] = ApiClient.convertToType(data['mail_accept'], 'String');
      }
      if (data.hasOwnProperty('mail_drop')) {
        obj['mail_drop'] = ApiClient.convertToType(data['mail_drop'], 'String');
      }
      if (data.hasOwnProperty('ftp_name')) {
        obj['ftp_name'] = ApiClient.convertToType(data['ftp_name'], 'String');
      }
      if (data.hasOwnProperty('ftp_pwd')) {
        obj['ftp_pwd'] = ApiClient.convertToType(data['ftp_pwd'], 'String');
      }
    }
    return obj;
  }

  /**
   * 
   * @member {Integer} id
   */
  exports.prototype['id'] = undefined;
  /**
   * 
   * @member {String} status
   */
  exports.prototype['status'] = undefined;
  /**
   * 
   * @member {String} unmovable
   */
  exports.prototype['unmovable'] = undefined;
  /**
   * Включен (активен), если true.
   * @member {String} online
   */
  exports.prototype['online'] = undefined;
  /**
   * Удален, если true. Данные могут сохраняться.
   * @member {String} deleted
   */
  exports.prototype['deleted'] = undefined;
  /**
   * Удален, если true. Данные могут сохраняться.
   * @member {String} deleted_auto
   */
  exports.prototype['deleted_auto'] = undefined;
  /**
   * 
   * @member {String} deleted_dump
   */
  exports.prototype['deleted_dump'] = undefined;
  /**
   * 
   * @member {String} user_id
   */
  exports.prototype['user_id'] = undefined;
  /**
   * 
   * @member {String} ftp_id
   */
  exports.prototype['ftp_id'] = undefined;
  /**
   * 
   * @member {String} dns_id
   */
  exports.prototype['dns_id'] = undefined;
  /**
   * 
   * @member {String} iis_id
   */
  exports.prototype['iis_id'] = undefined;
  /**
   * 
   * @member {String} iis_binding
   */
  exports.prototype['iis_binding'] = undefined;
  /**
   * 
   * @member {String} iis_path
   */
  exports.prototype['iis_path'] = undefined;
  /**
   * Уникальное строковое имя сайта (ID).
   * @member {String} iis_comments
   */
  exports.prototype['iis_comments'] = undefined;
  /**
   * 
   * @member {String} memo
   */
  exports.prototype['memo'] = undefined;
  /**
   * Дата создания.
   * @member {String} date_reg
   */
  exports.prototype['date_reg'] = undefined;
  /**
   * Тип веб-сервера.
   * @member {String} server
   */
  exports.prototype['server'] = undefined;
  /**
   * 
   * @member {String} server_bak
   */
  exports.prototype['server_bak'] = undefined;
  /**
   * 
   * @member {String} server_aux
   */
  exports.prototype['server_aux'] = undefined;
  /**
   * Тип сервера недавно изменялся, если true.
   * @member {String} server_transition
   */
  exports.prototype['server_transition'] = undefined;
  /**
   * 
   * @member {String} server_transition_dtc
   */
  exports.prototype['server_transition_dtc'] = undefined;
  /**
   * 
   * @member {String} block_transfer
   */
  exports.prototype['block_transfer'] = undefined;
  /**
   * 
   * @member {String} server_changed_time
   */
  exports.prototype['server_changed_time'] = undefined;
  /**
   * Размер веб-сайта - объем (Кб).
   * @member {String} size_amount
   */
  exports.prototype['size_amount'] = undefined;
  /**
   * Размер веб-сайта - кол-во файлов.
   * @member {String} size_file_count
   */
  exports.prototype['size_file_count'] = undefined;
  /**
   * 
   * @member {String} size_file_count_limit
   */
  exports.prototype['size_file_count_limit'] = undefined;
  /**
   * Размер веб-сайта - дата замера.
   * @member {String} size_date
   */
  exports.prototype['size_date'] = undefined;
  /**
   * 
   * @member {String} size_priority_scan
   */
  exports.prototype['size_priority_scan'] = undefined;
  /**
   * 
   * @member {String} copy_logs
   */
  exports.prototype['copy_logs'] = undefined;
  /**
   * 
   * @member {String} content_comments
   */
  exports.prototype['content_comments'] = undefined;
  /**
   * 
   * @member {String} content_comments_verbose
   */
  exports.prototype['content_comments_verbose'] = undefined;
  /**
   * 
   * @member {String} meta_save_count
   */
  exports.prototype['meta_save_count'] = undefined;
  /**
   * 
   * @member {String} base_folder
   */
  exports.prototype['base_folder'] = undefined;
  /**
   * 
   * @member {String} virtualhost_conf
   */
  exports.prototype['virtualhost_conf'] = undefined;
  /**
   * 
   * @member {String} virtualhost_server
   */
  exports.prototype['virtualhost_server'] = undefined;
  /**
   * 
   * @member {String} virtualhost_server_conf
   */
  exports.prototype['virtualhost_server_conf'] = undefined;
  /**
   * 
   * @member {String} live_day_count
   */
  exports.prototype['live_day_count'] = undefined;
  /**
   * 
   * @member {String} scan_date
   */
  exports.prototype['scan_date'] = undefined;
  /**
   * 
   * @member {String} global_transfer_count
   */
  exports.prototype['global_transfer_count'] = undefined;
  /**
   * 
   * @member {String} net_limit_file
   */
  exports.prototype['net_limit_file'] = undefined;
  /**
   * 
   * @member {String} net_limit_deny_from_ip
   */
  exports.prototype['net_limit_deny_from_ip'] = undefined;
  /**
   * 
   * @member {String} net_limit_deny_from_agent
   */
  exports.prototype['net_limit_deny_from_agent'] = undefined;
  /**
   * 
   * @member {String} apache_php_pooled
   */
  exports.prototype['apache_php_pooled'] = undefined;
  /**
   * 
   * @member {String} apache_php_pooled_ext
   */
  exports.prototype['apache_php_pooled_ext'] = undefined;
  /**
   * 
   * @member {String} apache_php_pooled_ext_auto
   */
  exports.prototype['apache_php_pooled_ext_auto'] = undefined;
  /**
   * 
   * @member {String} apache_php_pool1_only
   */
  exports.prototype['apache_php_pool1_only'] = undefined;
  /**
   * 
   * @member {String} apache_php_pool5_only
   */
  exports.prototype['apache_php_pool5_only'] = undefined;
  /**
   * 
   * @member {String} apache_ssi
   */
  exports.prototype['apache_ssi'] = undefined;
  /**
   * 
   * @member {String} bypass_security
   */
  exports.prototype['bypass_security'] = undefined;
  /**
   * 
   * @member {String} flag_generic_exec
   */
  exports.prototype['flag_generic_exec'] = undefined;
  /**
   * 
   * @member {String} flag_no_www
   */
  exports.prototype['flag_no_www'] = undefined;
  /**
   * 
   * @member {String} base_folder_suffix
   */
  exports.prototype['base_folder_suffix'] = undefined;
  /**
   * 
   * @member {String} feedback_speed
   */
  exports.prototype['feedback_speed'] = undefined;
  /**
   * 
   * @member {String} feedback_speed_dtc
   */
  exports.prototype['feedback_speed_dtc'] = undefined;
  /**
   * 
   * @member {String} feedback_speed_feedback
   */
  exports.prototype['feedback_speed_feedback'] = undefined;
  /**
   * 
   * @member {String} unix_path_on_windows
   */
  exports.prototype['unix_path_on_windows'] = undefined;
  /**
   * Ограничение по IP адресам - FTP доступ.
   * @member {String} ftp_ipfilter
   */
  exports.prototype['ftp_ipfilter'] = undefined;
  /**
   * Ограничение по IP адресам - SSH доступ.
   * @member {String} ssh_ipfilter
   */
  exports.prototype['ssh_ipfilter'] = undefined;
  /**
   * 
   * @member {String} l3d_auto
   */
  exports.prototype['l3d_auto'] = undefined;
  /**
   * 
   * @member {String} awstats_primary_domain
   */
  exports.prototype['awstats_primary_domain'] = undefined;
  /**
   * 
   * @member {String} sharepoint_mode
   */
  exports.prototype['sharepoint_mode'] = undefined;
  /**
   * 
   * @member {String} sharepoint_mode_pending
   */
  exports.prototype['sharepoint_mode_pending'] = undefined;
  /**
   * 
   * @member {String} apache_generic_pool_port
   */
  exports.prototype['apache_generic_pool_port'] = undefined;
  /**
   * 
   * @member {String} mongrel_environment
   */
  exports.prototype['mongrel_environment'] = undefined;
  /**
   * 
   * @member {String} flag_free
   */
  exports.prototype['flag_free'] = undefined;
  /**
   * 
   * @member {String} rtm_scan_date
   */
  exports.prototype['rtm_scan_date'] = undefined;
  /**
   * 
   * @member {String} analyze_analog
   */
  exports.prototype['analyze_analog'] = undefined;
  /**
   * Включен режим предоставления детализации процессорной нагрузки.
   * @member {String} cpu_details_enabled
   */
  exports.prototype['cpu_details_enabled'] = undefined;
  /**
   * 
   * @member {String} content_moderated_status
   */
  exports.prototype['content_moderated_status'] = undefined;
  /**
   * 
   * @member {String} content_moderated_date
   */
  exports.prototype['content_moderated_date'] = undefined;
  /**
   * 
   * @member {String} http_frontend_ip
   */
  exports.prototype['http_frontend_ip'] = undefined;
  /**
   * 
   * @member {String} http_frontend_ip_transition
   */
  exports.prototype['http_frontend_ip_transition'] = undefined;
  /**
   * Дата последнего превышения процессорной нагрузки.
   * @member {String} cpu_limit_exceeded_date
   */
  exports.prototype['cpu_limit_exceeded_date'] = undefined;
  /**
   * Признак сайта-конструктора.
   * @member {String} aufs_template
   */
  exports.prototype['aufs_template'] = undefined;
  /**
   * 
   * @member {String} options_autolimit
   */
  exports.prototype['options_autolimit'] = undefined;
  /**
   * Версия ASP.NET, если отлична от 2.0.
   * @member {String} iis_creation_commands
   */
  exports.prototype['iis_creation_commands'] = undefined;
  /**
   * 
   * @member {String} iis_creation_commands_unix
   */
  exports.prototype['iis_creation_commands_unix'] = undefined;
  /**
   * 
   * @member {String} thumb_date
   */
  exports.prototype['thumb_date'] = undefined;
  /**
   * 
   * @member {String} thumb_failed
   */
  exports.prototype['thumb_failed'] = undefined;
  /**
   * 
   * @member {String} backup_stat_date
   */
  exports.prototype['backup_stat_date'] = undefined;
  /**
   * Дата пофайловой резервной копии.
   * @member {String} backup_date
   */
  exports.prototype['backup_date'] = undefined;
  /**
   * 
   * @member {String} detected_packages
   */
  exports.prototype['detected_packages'] = undefined;
  /**
   * 
   * @member {String} stat_site_power
   */
  exports.prototype['stat_site_power'] = undefined;
  /**
   * 
   * @member {String} smtp_from
   */
  exports.prototype['smtp_from'] = undefined;
  /**
   * 
   * @member {String} super_backup_date
   */
  exports.prototype['super_backup_date'] = undefined;
  /**
   * 
   * @member {String} backup_delta_stat_date
   */
  exports.prototype['backup_delta_stat_date'] = undefined;
  /**
   * Дата архивной резервной копии.
   * @member {String} backup_delta_date
   */
  exports.prototype['backup_delta_date'] = undefined;
  /**
   * Содержимое архивной резервной копии.
   * @member {String} backup_delta_desc
   */
  exports.prototype['backup_delta_desc'] = undefined;
  /**
   * 
   * @member {String} alt_docroot_server
   */
  exports.prototype['alt_docroot_server'] = undefined;
  /**
   * 
   * @member {String} alt_docroot_path
   */
  exports.prototype['alt_docroot_path'] = undefined;
  /**
   * 
   * @member {String} alt_docroot_status
   */
  exports.prototype['alt_docroot_status'] = undefined;
  /**
   * 
   * @member {String} alt_docroot_status_cnt
   */
  exports.prototype['alt_docroot_status_cnt'] = undefined;
  /**
   * 
   * @member {String} alt_docroot_status_date
   */
  exports.prototype['alt_docroot_status_date'] = undefined;
  /**
   * Последнее изменение привязок доменов для сайта.
   * @member {String} bind_dtc
   */
  exports.prototype['bind_dtc'] = undefined;
  /**
   * 
   * @member {String} backup_special_mode
   */
  exports.prototype['backup_special_mode'] = undefined;
  /**
   * 
   * @member {String} size_check_problem
   */
  exports.prototype['size_check_problem'] = undefined;
  /**
   * 
   * @member {String} wpb_domain
   */
  exports.prototype['wpb_domain'] = undefined;
  /**
   * Для сайта включен конструктор Parallels WPB.
   * @member {String} wpb_uuid
   */
  exports.prototype['wpb_uuid'] = undefined;
  /**
   * 
   * @member {String} wpb_status
   */
  exports.prototype['wpb_status'] = undefined;
  /**
   * 
   * @member {String} admin_protection
   */
  exports.prototype['admin_protection'] = undefined;
  /**
   * 
   * @member {String} size_comments
   */
  exports.prototype['size_comments'] = undefined;
  /**
   * 
   * @member {String} alt_docroot_ssd_req
   */
  exports.prototype['alt_docroot_ssd_req'] = undefined;
  /**
   * 
   * @member {String} mail_limit
   */
  exports.prototype['mail_limit'] = undefined;
  /**
   * 
   * @member {String} mail_accept
   */
  exports.prototype['mail_accept'] = undefined;
  /**
   * 
   * @member {String} mail_drop
   */
  exports.prototype['mail_drop'] = undefined;
  /**
   * FTP/SSH/SCP/SFTP логин.
   * @member {String} ftp_name
   */
  exports.prototype['ftp_name'] = undefined;
  /**
   * FTP/SSH/SCP/SFTP пароль.
   * @member {String} ftp_pwd
   */
  exports.prototype['ftp_pwd'] = undefined;



  return exports;
}));


