/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.1GbApi) {
      root.1GbApi = {};
    }
    root.1GbApi.InlineResponse2004 = factory(root.1GbApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The InlineResponse2004 model module.
   * @module model/InlineResponse2004
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>InlineResponse2004</code>.
   * @alias module:model/InlineResponse2004
   * @class
   * @param dateUpdated {String} Дата последнего обновления домена
   * @param recordCreated {String} Дата создания записи
   * @param subjectContract {String} 
   * @param endDate {String} 
   * @param payedTill {String} Дата, до которой оплачен домен
   * @param objectState {String} 
   * @param domainAddr {String} Имя домена
   * @param nservers {String} Сервера имён домена
   * @param expiresCountdown {Integer} Количество дней до окончания срока действия домена
   */
  var exports = function(dateUpdated, recordCreated, subjectContract, endDate, payedTill, objectState, domainAddr, nservers, expiresCountdown) {
    var _this = this;

    _this['date_updated'] = dateUpdated;
    _this['record_created'] = recordCreated;
    _this['subject_contract'] = subjectContract;
    _this['end_date'] = endDate;
    _this['payed_till'] = payedTill;
    _this['object_state'] = objectState;
    _this['domain_addr'] = domainAddr;
    _this['nservers'] = nservers;
    _this['expires_countdown'] = expiresCountdown;
  };

  /**
   * Constructs a <code>InlineResponse2004</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/InlineResponse2004} obj Optional instance to populate.
   * @return {module:model/InlineResponse2004} The populated <code>InlineResponse2004</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('date_updated')) {
        obj['date_updated'] = ApiClient.convertToType(data['date_updated'], 'String');
      }
      if (data.hasOwnProperty('record_created')) {
        obj['record_created'] = ApiClient.convertToType(data['record_created'], 'String');
      }
      if (data.hasOwnProperty('subject_contract')) {
        obj['subject_contract'] = ApiClient.convertToType(data['subject_contract'], 'String');
      }
      if (data.hasOwnProperty('end_date')) {
        obj['end_date'] = ApiClient.convertToType(data['end_date'], 'String');
      }
      if (data.hasOwnProperty('payed_till')) {
        obj['payed_till'] = ApiClient.convertToType(data['payed_till'], 'String');
      }
      if (data.hasOwnProperty('object_state')) {
        obj['object_state'] = ApiClient.convertToType(data['object_state'], 'String');
      }
      if (data.hasOwnProperty('domain_addr')) {
        obj['domain_addr'] = ApiClient.convertToType(data['domain_addr'], 'String');
      }
      if (data.hasOwnProperty('nservers')) {
        obj['nservers'] = ApiClient.convertToType(data['nservers'], 'String');
      }
      if (data.hasOwnProperty('expires_countdown')) {
        obj['expires_countdown'] = ApiClient.convertToType(data['expires_countdown'], 'Integer');
      }
    }
    return obj;
  }

  /**
   * Дата последнего обновления домена
   * @member {String} date_updated
   */
  exports.prototype['date_updated'] = undefined;
  /**
   * Дата создания записи
   * @member {String} record_created
   */
  exports.prototype['record_created'] = undefined;
  /**
   * 
   * @member {String} subject_contract
   */
  exports.prototype['subject_contract'] = undefined;
  /**
   * 
   * @member {String} end_date
   */
  exports.prototype['end_date'] = undefined;
  /**
   * Дата, до которой оплачен домен
   * @member {String} payed_till
   */
  exports.prototype['payed_till'] = undefined;
  /**
   * 
   * @member {String} object_state
   */
  exports.prototype['object_state'] = undefined;
  /**
   * Имя домена
   * @member {String} domain_addr
   */
  exports.prototype['domain_addr'] = undefined;
  /**
   * Сервера имён домена
   * @member {String} nservers
   */
  exports.prototype['nservers'] = undefined;
  /**
   * Количество дней до окончания срока действия домена
   * @member {Integer} expires_countdown
   */
  exports.prototype['expires_countdown'] = undefined;



  return exports;
}));


