/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.1GbApi) {
      root.1GbApi = {};
    }
    root.1GbApi.InlineResponse2006 = factory(root.1GbApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The InlineResponse2006 model module.
   * @module model/InlineResponse2006
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>InlineResponse2006</code>.
   * @alias module:model/InlineResponse2006
   * @class
   * @param id {Integer} идентификатор ящика
   * @param status {Integer} 
   * @param online {Boolean} ящик работает, если true
   * @param mail {String} полный адрес ящика
   * @param mercuryUser {String} имя пользователя для входа в Mercury
   * @param mercuryPwd {String} пароль для входа в Mercury
   * @param sizeAmount {Integer} текущий размер ящика
   * @param sizeFileCount {Integer} количество файлов, занятых ящиком
   * @param archivedCount {Integer} 
   * @param serverPop3 {String} адрес сервера для доступа к ящику по POP3
   * @param serverSmtp {String} адрес сервера для доступа к ящику по SMTP
   * @param serverWebmail {String} адрес сервера Webmail для входа в ящик через браузер
   * @param serverImap {String} адрес сервера для доступа к ящику по IMAP
   * @param wm1 {String} 
   * @param wm2 {String} 
   */
  var exports = function(id, status, online, mail, mercuryUser, mercuryPwd, sizeAmount, sizeFileCount, archivedCount, serverPop3, serverSmtp, serverWebmail, serverImap, wm1, wm2) {
    var _this = this;

    _this['id'] = id;
    _this['status'] = status;
    _this['online'] = online;
    _this['mail'] = mail;
    _this['mercury_user'] = mercuryUser;
    _this['mercury_pwd'] = mercuryPwd;
    _this['size_amount'] = sizeAmount;
    _this['size_file_count'] = sizeFileCount;
    _this['archived_count'] = archivedCount;
    _this['server_pop3'] = serverPop3;
    _this['server_smtp'] = serverSmtp;
    _this['server_webmail'] = serverWebmail;
    _this['server_imap'] = serverImap;
    _this['wm1'] = wm1;
    _this['wm2'] = wm2;
  };

  /**
   * Constructs a <code>InlineResponse2006</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/InlineResponse2006} obj Optional instance to populate.
   * @return {module:model/InlineResponse2006} The populated <code>InlineResponse2006</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('id')) {
        obj['id'] = ApiClient.convertToType(data['id'], 'Integer');
      }
      if (data.hasOwnProperty('status')) {
        obj['status'] = ApiClient.convertToType(data['status'], 'Integer');
      }
      if (data.hasOwnProperty('online')) {
        obj['online'] = ApiClient.convertToType(data['online'], 'Boolean');
      }
      if (data.hasOwnProperty('mail')) {
        obj['mail'] = ApiClient.convertToType(data['mail'], 'String');
      }
      if (data.hasOwnProperty('mercury_user')) {
        obj['mercury_user'] = ApiClient.convertToType(data['mercury_user'], 'String');
      }
      if (data.hasOwnProperty('mercury_pwd')) {
        obj['mercury_pwd'] = ApiClient.convertToType(data['mercury_pwd'], 'String');
      }
      if (data.hasOwnProperty('size_amount')) {
        obj['size_amount'] = ApiClient.convertToType(data['size_amount'], 'Integer');
      }
      if (data.hasOwnProperty('size_file_count')) {
        obj['size_file_count'] = ApiClient.convertToType(data['size_file_count'], 'Integer');
      }
      if (data.hasOwnProperty('archived_count')) {
        obj['archived_count'] = ApiClient.convertToType(data['archived_count'], 'Integer');
      }
      if (data.hasOwnProperty('server_pop3')) {
        obj['server_pop3'] = ApiClient.convertToType(data['server_pop3'], 'String');
      }
      if (data.hasOwnProperty('server_smtp')) {
        obj['server_smtp'] = ApiClient.convertToType(data['server_smtp'], 'String');
      }
      if (data.hasOwnProperty('server_webmail')) {
        obj['server_webmail'] = ApiClient.convertToType(data['server_webmail'], 'String');
      }
      if (data.hasOwnProperty('server_imap')) {
        obj['server_imap'] = ApiClient.convertToType(data['server_imap'], 'String');
      }
      if (data.hasOwnProperty('wm1')) {
        obj['wm1'] = ApiClient.convertToType(data['wm1'], 'String');
      }
      if (data.hasOwnProperty('wm2')) {
        obj['wm2'] = ApiClient.convertToType(data['wm2'], 'String');
      }
    }
    return obj;
  }

  /**
   * идентификатор ящика
   * @member {Integer} id
   */
  exports.prototype['id'] = undefined;
  /**
   * 
   * @member {Integer} status
   */
  exports.prototype['status'] = undefined;
  /**
   * ящик работает, если true
   * @member {Boolean} online
   */
  exports.prototype['online'] = undefined;
  /**
   * полный адрес ящика
   * @member {String} mail
   */
  exports.prototype['mail'] = undefined;
  /**
   * имя пользователя для входа в Mercury
   * @member {String} mercury_user
   */
  exports.prototype['mercury_user'] = undefined;
  /**
   * пароль для входа в Mercury
   * @member {String} mercury_pwd
   */
  exports.prototype['mercury_pwd'] = undefined;
  /**
   * текущий размер ящика
   * @member {Integer} size_amount
   */
  exports.prototype['size_amount'] = undefined;
  /**
   * количество файлов, занятых ящиком
   * @member {Integer} size_file_count
   */
  exports.prototype['size_file_count'] = undefined;
  /**
   * 
   * @member {Integer} archived_count
   */
  exports.prototype['archived_count'] = undefined;
  /**
   * адрес сервера для доступа к ящику по POP3
   * @member {String} server_pop3
   */
  exports.prototype['server_pop3'] = undefined;
  /**
   * адрес сервера для доступа к ящику по SMTP
   * @member {String} server_smtp
   */
  exports.prototype['server_smtp'] = undefined;
  /**
   * адрес сервера Webmail для входа в ящик через браузер
   * @member {String} server_webmail
   */
  exports.prototype['server_webmail'] = undefined;
  /**
   * адрес сервера для доступа к ящику по IMAP
   * @member {String} server_imap
   */
  exports.prototype['server_imap'] = undefined;
  /**
   * 
   * @member {String} wm1
   */
  exports.prototype['wm1'] = undefined;
  /**
   * 
   * @member {String} wm2
   */
  exports.prototype['wm2'] = undefined;



  return exports;
}));


