/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', '../../src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require('../../src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.1GbApi);
  }
}(this, function(expect, 1GbApi) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new 1GbApi.InlineResponse2001();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('InlineResponse2001', function() {
    it('should create an instance of InlineResponse2001', function() {
      // uncomment below and update the code to test InlineResponse2001
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be.a(1GbApi.InlineResponse2001);
    });

    it('should have the property id (base name: "id")', function() {
      // uncomment below and update the code to test the property id
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property description (base name: "description")', function() {
      // uncomment below and update the code to test the property description
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property billingGroupId (base name: "billing_group_id")', function() {
      // uncomment below and update the code to test the property billingGroupId
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property blocked (base name: "blocked")', function() {
      // uncomment below and update the code to test the property blocked
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property blockedDate (base name: "blocked_date")', function() {
      // uncomment below and update the code to test the property blockedDate
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property blockedReason (base name: "blocked_reason")', function() {
      // uncomment below and update the code to test the property blockedReason
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property creditLimit (base name: "credit_limit")', function() {
      // uncomment below and update the code to test the property creditLimit
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property planId (base name: "plan_id")', function() {
      // uncomment below and update the code to test the property planId
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property periodId (base name: "period_id")', function() {
      // uncomment below and update the code to test the property periodId
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property contractType (base name: "contract_type")', function() {
      // uncomment below and update the code to test the property contractType
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property clientId (base name: "client_id")', function() {
      // uncomment below and update the code to test the property clientId
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property clientLogin (base name: "client_login")', function() {
      // uncomment below and update the code to test the property clientLogin
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property contractId (base name: "contract_id")', function() {
      // uncomment below and update the code to test the property contractId
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property nameRus (base name: "name_rus")', function() {
      // uncomment below and update the code to test the property nameRus
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property nameEng (base name: "name_eng")', function() {
      // uncomment below and update the code to test the property nameEng
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property email (base name: "email")', function() {
      // uncomment below and update the code to test the property email
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property statSites (base name: "stat_sites")', function() {
      // uncomment below and update the code to test the property statSites
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property statSizeMb (base name: "stat_size_mb")', function() {
      // uncomment below and update the code to test the property statSizeMb
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property statEmails (base name: "stat_emails")', function() {
      // uncomment below and update the code to test the property statEmails
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property statMysqls (base name: "stat_mysqls")', function() {
      // uncomment below and update the code to test the property statMysqls
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property statTech (base name: "stat_tech")', function() {
      // uncomment below and update the code to test the property statTech
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property statNicd (base name: "stat_nicd")', function() {
      // uncomment below and update the code to test the property statNicd
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property statAccessDynamic (base name: "stat_access_dynamic")', function() {
      // uncomment below and update the code to test the property statAccessDynamic
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property statAccessStatic (base name: "stat_access_static")', function() {
      // uncomment below and update the code to test the property statAccessStatic
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property statAccessTraffic (base name: "stat_access_traffic")', function() {
      // uncomment below and update the code to test the property statAccessTraffic
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property statPaidTotal (base name: "stat_paid_total")', function() {
      // uncomment below and update the code to test the property statPaidTotal
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property statVdsSize (base name: "stat_vds_size")', function() {
      // uncomment below and update the code to test the property statVdsSize
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property planName (base name: "__plan_name")', function() {
      // uncomment below and update the code to test the property planName
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property periodMonths (base name: "__period_months")', function() {
      // uncomment below and update the code to test the property periodMonths
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property periodPrice (base name: "__period_price")', function() {
      // uncomment below and update the code to test the property periodPrice
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property expires (base name: "__expires")', function() {
      // uncomment below and update the code to test the property expires
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property externalCurrencySpelledPrefix (base name: "external_currency_spelled_prefix")', function() {
      // uncomment below and update the code to test the property externalCurrencySpelledPrefix
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

    it('should have the property externalCurrencySpelledSuffix (base name: "external_currency_spelled_suffix")', function() {
      // uncomment below and update the code to test the property externalCurrencySpelledSuffix
      //var instane = new 1GbApi.InlineResponse2001();
      //expect(instance).to.be();
    });

  });

}));
