/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', '../../src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require('../../src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.1GbApi);
  }
}(this, function(expect, 1GbApi) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new 1GbApi.InlineResponse20014();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('InlineResponse20014', function() {
    it('should create an instance of InlineResponse20014', function() {
      // uncomment below and update the code to test InlineResponse20014
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be.a(1GbApi.InlineResponse20014);
    });

    it('should have the property id (base name: "id")', function() {
      // uncomment below and update the code to test the property id
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property status (base name: "status")', function() {
      // uncomment below and update the code to test the property status
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property unmovable (base name: "unmovable")', function() {
      // uncomment below and update the code to test the property unmovable
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property online (base name: "online")', function() {
      // uncomment below and update the code to test the property online
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property deleted (base name: "deleted")', function() {
      // uncomment below and update the code to test the property deleted
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property deletedAuto (base name: "deleted_auto")', function() {
      // uncomment below and update the code to test the property deletedAuto
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property deletedDump (base name: "deleted_dump")', function() {
      // uncomment below and update the code to test the property deletedDump
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property userId (base name: "user_id")', function() {
      // uncomment below and update the code to test the property userId
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property ftpId (base name: "ftp_id")', function() {
      // uncomment below and update the code to test the property ftpId
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property dnsId (base name: "dns_id")', function() {
      // uncomment below and update the code to test the property dnsId
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property iisId (base name: "iis_id")', function() {
      // uncomment below and update the code to test the property iisId
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property iisBinding (base name: "iis_binding")', function() {
      // uncomment below and update the code to test the property iisBinding
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property iisPath (base name: "iis_path")', function() {
      // uncomment below and update the code to test the property iisPath
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property iisComments (base name: "iis_comments")', function() {
      // uncomment below and update the code to test the property iisComments
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property memo (base name: "memo")', function() {
      // uncomment below and update the code to test the property memo
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property dateReg (base name: "date_reg")', function() {
      // uncomment below and update the code to test the property dateReg
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property server (base name: "server")', function() {
      // uncomment below and update the code to test the property server
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property serverBak (base name: "server_bak")', function() {
      // uncomment below and update the code to test the property serverBak
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property serverAux (base name: "server_aux")', function() {
      // uncomment below and update the code to test the property serverAux
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property serverTransition (base name: "server_transition")', function() {
      // uncomment below and update the code to test the property serverTransition
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property serverTransitionDtc (base name: "server_transition_dtc")', function() {
      // uncomment below and update the code to test the property serverTransitionDtc
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property blockTransfer (base name: "block_transfer")', function() {
      // uncomment below and update the code to test the property blockTransfer
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property serverChangedTime (base name: "server_changed_time")', function() {
      // uncomment below and update the code to test the property serverChangedTime
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property sizeAmount (base name: "size_amount")', function() {
      // uncomment below and update the code to test the property sizeAmount
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property sizeFileCount (base name: "size_file_count")', function() {
      // uncomment below and update the code to test the property sizeFileCount
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property sizeFileCountLimit (base name: "size_file_count_limit")', function() {
      // uncomment below and update the code to test the property sizeFileCountLimit
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property sizeDate (base name: "size_date")', function() {
      // uncomment below and update the code to test the property sizeDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property sizePriorityScan (base name: "size_priority_scan")', function() {
      // uncomment below and update the code to test the property sizePriorityScan
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property copyLogs (base name: "copy_logs")', function() {
      // uncomment below and update the code to test the property copyLogs
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property contentComments (base name: "content_comments")', function() {
      // uncomment below and update the code to test the property contentComments
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property contentCommentsVerbose (base name: "content_comments_verbose")', function() {
      // uncomment below and update the code to test the property contentCommentsVerbose
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property metaSaveCount (base name: "meta_save_count")', function() {
      // uncomment below and update the code to test the property metaSaveCount
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property baseFolder (base name: "base_folder")', function() {
      // uncomment below and update the code to test the property baseFolder
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property virtualhostConf (base name: "virtualhost_conf")', function() {
      // uncomment below and update the code to test the property virtualhostConf
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property virtualhostServer (base name: "virtualhost_server")', function() {
      // uncomment below and update the code to test the property virtualhostServer
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property virtualhostServerConf (base name: "virtualhost_server_conf")', function() {
      // uncomment below and update the code to test the property virtualhostServerConf
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property liveDayCount (base name: "live_day_count")', function() {
      // uncomment below and update the code to test the property liveDayCount
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property scanDate (base name: "scan_date")', function() {
      // uncomment below and update the code to test the property scanDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property globalTransferCount (base name: "global_transfer_count")', function() {
      // uncomment below and update the code to test the property globalTransferCount
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property netLimitFile (base name: "net_limit_file")', function() {
      // uncomment below and update the code to test the property netLimitFile
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property netLimitDenyFromIp (base name: "net_limit_deny_from_ip")', function() {
      // uncomment below and update the code to test the property netLimitDenyFromIp
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property netLimitDenyFromAgent (base name: "net_limit_deny_from_agent")', function() {
      // uncomment below and update the code to test the property netLimitDenyFromAgent
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property apachePhpPooled (base name: "apache_php_pooled")', function() {
      // uncomment below and update the code to test the property apachePhpPooled
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property apachePhpPooledExt (base name: "apache_php_pooled_ext")', function() {
      // uncomment below and update the code to test the property apachePhpPooledExt
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property apachePhpPooledExtAuto (base name: "apache_php_pooled_ext_auto")', function() {
      // uncomment below and update the code to test the property apachePhpPooledExtAuto
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property apachePhpPool1Only (base name: "apache_php_pool1_only")', function() {
      // uncomment below and update the code to test the property apachePhpPool1Only
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property apachePhpPool5Only (base name: "apache_php_pool5_only")', function() {
      // uncomment below and update the code to test the property apachePhpPool5Only
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property apacheSsi (base name: "apache_ssi")', function() {
      // uncomment below and update the code to test the property apacheSsi
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property bypassSecurity (base name: "bypass_security")', function() {
      // uncomment below and update the code to test the property bypassSecurity
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property flagGenericExec (base name: "flag_generic_exec")', function() {
      // uncomment below and update the code to test the property flagGenericExec
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property flagNoWww (base name: "flag_no_www")', function() {
      // uncomment below and update the code to test the property flagNoWww
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property baseFolderSuffix (base name: "base_folder_suffix")', function() {
      // uncomment below and update the code to test the property baseFolderSuffix
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property feedbackSpeed (base name: "feedback_speed")', function() {
      // uncomment below and update the code to test the property feedbackSpeed
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property feedbackSpeedDtc (base name: "feedback_speed_dtc")', function() {
      // uncomment below and update the code to test the property feedbackSpeedDtc
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property feedbackSpeedFeedback (base name: "feedback_speed_feedback")', function() {
      // uncomment below and update the code to test the property feedbackSpeedFeedback
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property unixPathOnWindows (base name: "unix_path_on_windows")', function() {
      // uncomment below and update the code to test the property unixPathOnWindows
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property ftpIpfilter (base name: "ftp_ipfilter")', function() {
      // uncomment below and update the code to test the property ftpIpfilter
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property sshIpfilter (base name: "ssh_ipfilter")', function() {
      // uncomment below and update the code to test the property sshIpfilter
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property l3dAuto (base name: "l3d_auto")', function() {
      // uncomment below and update the code to test the property l3dAuto
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property awstatsPrimaryDomain (base name: "awstats_primary_domain")', function() {
      // uncomment below and update the code to test the property awstatsPrimaryDomain
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property sharepointMode (base name: "sharepoint_mode")', function() {
      // uncomment below and update the code to test the property sharepointMode
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property sharepointModePending (base name: "sharepoint_mode_pending")', function() {
      // uncomment below and update the code to test the property sharepointModePending
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property apacheGenericPoolPort (base name: "apache_generic_pool_port")', function() {
      // uncomment below and update the code to test the property apacheGenericPoolPort
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property mongrelEnvironment (base name: "mongrel_environment")', function() {
      // uncomment below and update the code to test the property mongrelEnvironment
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property flagFree (base name: "flag_free")', function() {
      // uncomment below and update the code to test the property flagFree
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property rtmScanDate (base name: "rtm_scan_date")', function() {
      // uncomment below and update the code to test the property rtmScanDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property analyzeAnalog (base name: "analyze_analog")', function() {
      // uncomment below and update the code to test the property analyzeAnalog
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property cpuDetailsEnabled (base name: "cpu_details_enabled")', function() {
      // uncomment below and update the code to test the property cpuDetailsEnabled
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property contentModeratedStatus (base name: "content_moderated_status")', function() {
      // uncomment below and update the code to test the property contentModeratedStatus
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property contentModeratedDate (base name: "content_moderated_date")', function() {
      // uncomment below and update the code to test the property contentModeratedDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property httpFrontendIp (base name: "http_frontend_ip")', function() {
      // uncomment below and update the code to test the property httpFrontendIp
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property httpFrontendIpTransition (base name: "http_frontend_ip_transition")', function() {
      // uncomment below and update the code to test the property httpFrontendIpTransition
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property cpuLimitExceededDate (base name: "cpu_limit_exceeded_date")', function() {
      // uncomment below and update the code to test the property cpuLimitExceededDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property aufsTemplate (base name: "aufs_template")', function() {
      // uncomment below and update the code to test the property aufsTemplate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property optionsAutolimit (base name: "options_autolimit")', function() {
      // uncomment below and update the code to test the property optionsAutolimit
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property iisCreationCommands (base name: "iis_creation_commands")', function() {
      // uncomment below and update the code to test the property iisCreationCommands
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property iisCreationCommandsUnix (base name: "iis_creation_commands_unix")', function() {
      // uncomment below and update the code to test the property iisCreationCommandsUnix
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property thumbDate (base name: "thumb_date")', function() {
      // uncomment below and update the code to test the property thumbDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property thumbFailed (base name: "thumb_failed")', function() {
      // uncomment below and update the code to test the property thumbFailed
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property backupStatDate (base name: "backup_stat_date")', function() {
      // uncomment below and update the code to test the property backupStatDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property backupDate (base name: "backup_date")', function() {
      // uncomment below and update the code to test the property backupDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property detectedPackages (base name: "detected_packages")', function() {
      // uncomment below and update the code to test the property detectedPackages
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property statSitePower (base name: "stat_site_power")', function() {
      // uncomment below and update the code to test the property statSitePower
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property smtpFrom (base name: "smtp_from")', function() {
      // uncomment below and update the code to test the property smtpFrom
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property superBackupDate (base name: "super_backup_date")', function() {
      // uncomment below and update the code to test the property superBackupDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property backupDeltaStatDate (base name: "backup_delta_stat_date")', function() {
      // uncomment below and update the code to test the property backupDeltaStatDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property backupDeltaDate (base name: "backup_delta_date")', function() {
      // uncomment below and update the code to test the property backupDeltaDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property backupDeltaDesc (base name: "backup_delta_desc")', function() {
      // uncomment below and update the code to test the property backupDeltaDesc
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property altDocrootServer (base name: "alt_docroot_server")', function() {
      // uncomment below and update the code to test the property altDocrootServer
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property altDocrootPath (base name: "alt_docroot_path")', function() {
      // uncomment below and update the code to test the property altDocrootPath
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property altDocrootStatus (base name: "alt_docroot_status")', function() {
      // uncomment below and update the code to test the property altDocrootStatus
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property altDocrootStatusCnt (base name: "alt_docroot_status_cnt")', function() {
      // uncomment below and update the code to test the property altDocrootStatusCnt
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property altDocrootStatusDate (base name: "alt_docroot_status_date")', function() {
      // uncomment below and update the code to test the property altDocrootStatusDate
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property bindDtc (base name: "bind_dtc")', function() {
      // uncomment below and update the code to test the property bindDtc
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property backupSpecialMode (base name: "backup_special_mode")', function() {
      // uncomment below and update the code to test the property backupSpecialMode
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property sizeCheckProblem (base name: "size_check_problem")', function() {
      // uncomment below and update the code to test the property sizeCheckProblem
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property wpbDomain (base name: "wpb_domain")', function() {
      // uncomment below and update the code to test the property wpbDomain
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property wpbUuid (base name: "wpb_uuid")', function() {
      // uncomment below and update the code to test the property wpbUuid
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property wpbStatus (base name: "wpb_status")', function() {
      // uncomment below and update the code to test the property wpbStatus
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property adminProtection (base name: "admin_protection")', function() {
      // uncomment below and update the code to test the property adminProtection
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property sizeComments (base name: "size_comments")', function() {
      // uncomment below and update the code to test the property sizeComments
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property altDocrootSsdReq (base name: "alt_docroot_ssd_req")', function() {
      // uncomment below and update the code to test the property altDocrootSsdReq
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property mailLimit (base name: "mail_limit")', function() {
      // uncomment below and update the code to test the property mailLimit
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property mailAccept (base name: "mail_accept")', function() {
      // uncomment below and update the code to test the property mailAccept
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property mailDrop (base name: "mail_drop")', function() {
      // uncomment below and update the code to test the property mailDrop
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property ftpName (base name: "ftp_name")', function() {
      // uncomment below and update the code to test the property ftpName
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

    it('should have the property ftpPwd (base name: "ftp_pwd")', function() {
      // uncomment below and update the code to test the property ftpPwd
      //var instane = new 1GbApi.InlineResponse20014();
      //expect(instance).to.be();
    });

  });

}));
